<?php
/*********************************************************************************
 *       Filename: index.php
 *********************************************************************************/

//-------------------------------
// login CustomIncludes begin

include ("../common.php");

// login CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "index.php";
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// login Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================
//Header including
//===============================
	$title = "AlstraSoft Live Support :: Admin Log In";
	include("header.php");
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************


//===============================
// Login Form Action
//-------------------------------
function Form_action($sAction)
{
  global $db;
  
  global $sFormErr;
  global $sFileName;
  global $styles;

  switch(strtolower($sAction))
  {
    case "login":

//-------------------------------
// Form Login begin
//-------------------------------
      $sLogin = get_param("Login");
      $sPassword = get_param("password");
      $db->query("SELECT login FROM admin WHERE pass=" . tosql($sPassword, "Text"));
      $is_passed = $db->next_record();
//-------------------------------
// Form OnLogin Event begin
// Form OnLogin Event end
//-------------------------------
      if($is_passed&&$db->f("login")==$sLogin)
      {
//-------------------------------
// Login and password passed
//-------------------------------
        set_session("admin", $sLogin);
		//set_session("visible","true");
		
        $sPage = get_param("ret_page");
        if (strlen($sPage))
          header("Location: " . $sPage);
        else
          header("Location: managesettings.php");
      }
      else
      {
        $sFormErr = "Login or Password is incorrect.";
      }

//-------------------------------
// Form Login end
//-------------------------------
	if($sFormErr) return;
	  break;
  }
	exit;
}
//===============================


//===============================
// Display Login Form
//-------------------------------
function Form_show()
{
  
  global $sFormErr;
  global $db;
  global $sFileName;
  global $styles;
  $querystring =  get_param("querystring");
  $ret_page = get_param("ret_page");

  $sFormTitle = "";

//-------------------------------
// Form Show begin
//-------------------------------

//-------------------------------
// Form Open Event begin
// Form Open Event end
//-------------------------------

  ?>  
<div align="center" class="liveseller">Admin Log in</div>
<br/>
    <table align=center border="0"  cellpadding="1" cellspacing="0">
    <form action="<?= $sFileName ?>" method="POST">
    <input type="hidden" name="FormName" value="Form">    
    <? if ($sFormErr) { ?>
    <tr><td colspan="2" class="FormHeaderTD"><font style="font-face:Verdana; color:red; font-size:12px;"><?= $sFormErr ?></font></td></tr>
    <? }
  if(get_session("admin")=="") 
  {
//-------------------------------
//- User is not logged in
//-------------------------------
?>
		
<tr>
	<td class="FieldCaptionTD">
		<font class="FieldCaptionFONT">login input:</font> &nbsp;
	</td>
	<td class="FieldCaptionTD">
		<input  class="parent" type="Text" name="Login" maxlength="30" size="10" value="<?=tohtml(get_param("Login"))?>">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD">
		<font class="FieldCaptionFONT">pass input:</font>&nbsp;
	</td>
	<td class="FieldCaptionTD">
		<input type="password" name="password" maxlength="30" size="12" value="<?=tohtml(get_param("password"))?>">
	</td>
</tr>
<tr>
	<td colspan="2" align="center" class="DataTD">
      <input type="hidden" name="FormAction" value="login">
      <input type="submit" value="log in">
	</td>
</tr>	  
    <?
  }
  else
  {
//-------------------------------
// User is logged in
//-------------------------------
	delete_session("admin");
?>
<tr>
	<td>
		You was log out succesfully.
	</td>
</tr>

<?
  }
?>
  <input type="hidden" name="ret_page" value="<?= $ret_page ?>"><input type="hidden" name="querystring" value="<?= $querystring ?>"></td></tr>
  </form></table>
<?
//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================


?>