<?php
/*********************************************************************************
 *       Filename: r_c_list.php
 *********************************************************************************/

// UserList CustomIncludes Event begin
include ("common.php");
// UserList CustomIncludes Event end


session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "r_c_list.php";
//===============================


//===============================
// UserList CustomSecurity Event begin
check_security();
// UserList CustomSecurity Event end
//===============================

//===============================
// Display page
//===============================
//Header including
//===============================
	$title = $sitename . " :: Predefined List of Responses";
	include("header.php");
//===============================
// Display page
//===============================
	Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================

//===============================
// Display Grid Form
//-------------------------------
function Form_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------  
  global $db;
  global $sFormErr;
  global $sFileName;
  global $styles;

//-------------------------------
	$fldsellerID = get_session("UserID");
//-------------------------------
	$fldis_survey = get_param("is_survey");
//-------------------------------
// Survey or Response List
//-------------------------------
	if(!$fldis_survey)
	{
		$sFormTitle = "Predefined List of Responses";
		$sFormNoRecords = "No Predefined Responses to show";
		$sFieldCaption = "Message";
		$edit_button_title = "Edit this response";
		$delete_button_title = "Delete this response";
		$add_new_link = "manage_c_r.php";
		
		$sWhere = " is_survey = 0 and ";
	}
	else
	{
		$sFormTitle = "Predefined List of Surveys";
		$sFormNoRecords = "No Predefined Surveys to show";
		$sFieldCaption = "Question";
		$edit_button_title = "Edit this survey";
		$delete_button_title = "Delete this survey";
		$add_new_link = "create_survey.php?action=begin";
						
		$sWhere = " is_survey = 1 and ";
	}
//-------------------------------
/*	$fldsearch = get_param("search");
	if($fldsearch)
		$sWhere = " and text like " . tosql("%".$fldsearch."%","Text");*/
//-------------------------------	

	$SQL = "select * from c_r " .
		"where " . $sWhere . " sellerID = ".tosql($fldsellerID,"Number") . " order by ID";
	$db->query($SQL);
	$next_record = $db->next_record();
	
?>
	<table align="center" cellpadding="5" cellspacing="0">
	<tr>
		<td colspan="4">
			<div class="liveseller" align="center"><?=$sFormTitle;?></div>
		</td>
	</tr>
<?
	if(!$next_record)
	{
	?>
	<tr>
		<td class="FieldCaptionTD" align="center" colspan="4">
			<font class="DataFONT"><?=$sFormNoRecords;?>
			</font>
		</td>
	</tr>
	<tr>
		<td class="DataTD" align="center" colspan="4">
			<a href="<?=$add_new_link;?>" style="font-size:10px; ">Add New</a>
		</td>
	</tr>
	</table>
	<?	
		return;
	}	
?>
	<tr>
		<td class="FieldCaptionTD" align="center">
			<font class="FieldCaptionFONT"><b>Title
			</font>
		</td>
		<td class="FieldCaptionTD" align="center">
			<font class="FieldCaptionFONT"><b><?=$sFieldCaption;?>
			</font>
		</td>
		<td class="FieldCaptionTD" align="center">
			<font class="FieldCaptionFONT"><b>Edit?
			</font>
		</td>
		<td class="FieldCaptionTD" align="center">
			<font class="FieldCaptionFONT"><b>Delete?
			</font>
		</td>
	</tr>
<?

//-------------------------------
// Process the HTML controls
//-------------------------------
	$i = 0;
while ($next_record)
{
	$i++;
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldID = $db->f("ID");
    $fldtitle = $db->f("title");
    $fldmessage = $db->f("message");
?>

	<tr>
		<td class="DataTD" align="center" valign="top">
			<font class="DataFONT">
				<?=$fldtitle;?>
			</font>
		</td>
		<td class="DataTD" align="left">
			<font class="DataFONT"><?=add_br(tohtml($fldmessage));?></font>
		</td>
		<td class="DataTD" align="center" valign="top">
			<font class="DataFONT">
				<a title="<?=$edit_button_title;?>" href="manage_c_r.php?ID=<?=$fldID;?>">
				[edit]
				</a>
			</font>
		</td>
		<td class="DataTD" align="center" valign="top">
			<font class="DataFONT">
				<a title="<?=$delete_button_title;?>" href="manage_c_r.php?ID=<?=$fldID;?>&action=delete">
				[delete]
				</a>				
			</font>
		</td>
	</tr>
	
	
<?
	$next_record = $db->next_record();
}//while end

//-------------------------------
// Form Show end
//-------------------------------

  ?>
	<tr>
		<td class="FieldCaptionTD" align="center" colspan="4">
			<a href="<?=$add_new_link;?>" style="font-size:10px; ">Add New</a>
		</td>
	</tr>
    </table>
  <?


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------
}
//===============================

?>