<?php
/*********************************************************************************
 *       Filename: ForgotPassword.php
 *********************************************************************************/

//-------------------------------
// ForgotPassword CustomIncludes begin

include ("common.php");

// ForgotPassword CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "forgotpassword.php";
//===============================


//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// ForgotPassword Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================

//===============================
// Display page

//===============================
// HTML Page layout
//-------------------------------
//===============================
//Header including
//===============================
	$title = $sitename . " :: Forgot Password?";
	include("header.php");
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================

//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $l;
  
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
  $fldlogin = "";
//-------------------------------
// Load all form fields into variables
//-------------------------------
  $fldlogin = get_param("login");

//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "insert":
//-------------------------------
// Form Insert Event begin
//-------------------------------
	global $prefix;
	
	$sSQL = "SELECT login,pass,email ".
		"FROM seller WHERE login = ".tosql($fldlogin, "Text");
		
	$db->query($sSQL);
  }	
//-------------------------------    
	
  switch($sAction)
  {
    case "insert":
//-------------------------------
// Form AfterInsert Event begin
//-------------------------------
	$db->next_record();
	//Check the result of sql query
    if (!$db->f("pass"))
    {
    	$sFormErr = "No user found for this username!";
    	return;	
    }
    else
    {
    	//======================================
    	//Send a message with login and password    	
    	//======================================
    	$fpass = $db->f("pass");
    	$flogin = $db->f("login");
    	$to_email = $db->f("email");
    	$from_email = "LiveSeller";
    	$subject = "Password Retrival via E-Mail";
    	$body = "Your login: $flogin \n"."Your password: $fpass";
    	
    	$body = Cite($body,75,">");
 	//============================================
 	//Lets tell user the result of sending message
 	//============================================	
    	@mail($to_email, $subject, $body,$from_email);
    }
// Form AfterInsert Event end
//-------------------------------
    break;
  }


	Print_HmainF("Your password was sent to your e-mail");  
//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{ 
  global $db;
  global $l;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
  
  $fldlogin = "";
//-------------------------------
// Form Show begin
//-------------------------------
  $sFormTitle = "Forgot Password?";
  $sWhere = "";
  $bPK = false;

?>
   
<div align="center" class="liveseller"><?=$sFormTitle?></div>
<br/>
<table align="center" cellpadding="5" cellspacing="0">
   <form method="POST" action="<?= $sFileName ?>" name="Form">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2" align="center"><font class="DataFONT"><i><?= $sFormErr ?></i></font></td></tr>
	 <? } ?>
<? 

//-------------------------------
// Load primary key and form parameters
//-------------------------------
  if($sFormErr == "")
  {
  }
  else
  {
    $fldlogin = strip(get_param("login"));
  }
//-------------------------------

//-------------------------------
// This form works only in insert mode
//-------------------------------
  $bIsUpdateMode = false;
//-------------------------------


//-------------------------------
// Show form field
//-------------------------------
    ?>
      <tr>
       <td class="FieldCaptionTD">
         <font class="FieldCaptionFONT">Pick up your username and we will send you password.</font>
       </td>
	   </tr>
	   <tr>
       <td class="FieldCaptionTD">
         <font class="DataFONT"><input type="text" name="login" maxlength="30" value="<?= tohtml($fldlogin) ?>" size="50" ></font>
       </td>
     </tr>
    <tr><td colspan="2" align="center" class="DataTD"><? if (!$bIsUpdateMode) { ?>
   <input type="hidden" value="insert" name="FormAction">
   <input type="submit" value="Send" onclick="document.Form.FormAction.value = 'insert';">
<? } ?>
  <input type="hidden" name="FormName" value="Form">
  
  </td></tr>
  </form>
  </table>
<?

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>