<?php
/*********************************************************************************
 *       Filename: generate.php
 *********************************************************************************/

//-------------------------------
// Mail CustomIncludes begin

include ("common.php");

// Mail CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "generate.php";
//===============================
//===============================
// Mail CustomSecurity Event begin

	check_security();

// Mail CustomSecurity Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// Mail Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//===============================
//Header including
//===============================
	$title = $sitename . " :: Generate";
	include("header.php");
//===============================
// Display page
//===============================
	Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================

//********************************************************************************
//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;

  $bErr = false;
//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------
	$fldtextlink = get_param("textlink");
//-------------------------------
// Build WHERE statement
//-------------------------------
	if(!$fldtextlink)
		$sFormErr.= "The value in the field <i>Text Link to Live Support</i> is required.<br/>";
			
	if($sFormErr)
		return;
//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "update":
//-------------------------------
	$sSQL = "update seller set textlink = " . tosql($fldtextlink,"Text");
	$sSQL.= " where sellerID = " . tosql(get_session("UserID"),"Number");
	$db->query($sSQL);
//-------------------------------

    break;
  }
//-------------------------------
	header("Location: generate.php?type=text");
	exit;
//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
  $sWhere = "";
  $bPK = true;

//-------------------------------
	$fldtype = get_param("type");
	global $hostname;
//-------------------------------
	if(!$sFormErr)
	{
		if($fldtype&&$fldtype=="text")
		{
		//-------------------------------
			$sFormErr = "<font color=red><i>Your code was successfully generated. </i></font>";	
		//-------------------------------
			$show_link = true;
		}
		else
		{
			$fldtype = "image";
		}

	}
	else
	{
		//-------------------------------
		$fldtextlink = get_param("textlink");		
		//-------------------------------
	}

//-------------------------------


	$fldsellerID = get_session("UserID");

	
$link = "<IFRAME marginheight=\"0\" frameborder=\"0\" border=\"0\" src=\"".$hostname."image.php?type=image&sellerID=".$fldsellerID."\" width=\"130\" height=\"36\"></IFRAME>";

?>
<div align="center" class="liveseller">Link Setup</div>
<br/>
 <table align="center" cellpadding="5" cellspacing="0" width=550>
   <form method="POST" action="<?= $sFileName ?>" name="Form">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2" align="center"><font class="DataFONT"><?= $sFormErr ?></font></td></tr>
	 <? } ?>
<tr><td class="FieldCaptionTD" align="right" colspan="2"><font class="FieldCaptionFONT"><textarea cols="65" rows="4"><?echo tohtml($link);	?></textarea></font></td></tr>
<tr><td class="FieldCaptionTD" align="center" colspan="2"><font class="FieldCaptionFONT">Place cursor right on the code and press Ctrl+A. Then using context menu Copy text and paste the script into your HTML page. Make sure that you are entering the script into the "HTML or JavaScript" version of the description section. 
</font></td></tr>

   


      <tr>
       <td class="FieldCaptionTD" colspan="2" align="center">
		 <font style="font-size:12px;"><i>Use our link image or use your Text Link to Live Support:</i></font>
		 </font>
       </td>
     </tr>     
      <tr>
       <td class="FieldCaptionTD">
         <font class="FieldCaptionFONT"><?if(!$show_link){?>Text Link to Support input:<?}?>&nbsp;</font>
       </td>
       <td class="FieldCaptionTD" align="left" width="70%">
         <font class="DataFONT">
		 <?if($show_link){?>
		 <textarea cols="65" rows="4"><IFRAME marginheight="0" frameborder="0" border="0" src="<?=$hostname?>image.php?type=text&sellerID=<?=$fldsellerID?>" width="200" height="80"></IFRAME>
		 </textarea>
		 <?}else{?>
		 <input type="text" name="textlink" maxlength="50" size="50" value="<?=tohtml($fldtextlink)?>">
		 <?}?>
		 </font>
       </td>
     </tr>
    <tr><td colspan="2" align="center" class="DataTD">

  <input type="hidden" value="update" name="FormAction"/>
  <input type="submit" value="Generate" onclick="document.Form.FormAction.value = 'update';">
    
  <input type="hidden" name="FormName" value="Form"> 
  
  </td></tr>
  </form>
  </table>
<?
  


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>