<?php
/*********************************************************************************
 *       Filename: header_footer.php
 *********************************************************************************/

//-------------------------------
// manageuser CustomIncludes begin

include ("common.php");

// manageuser CustomIncludes end
//-------------------------------

session_start();

check_security();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "header_footer.php";
//===============================
//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// manageuser Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";
//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================
//Header including
//===============================
	$title = $sitename . " :: Change Header/Footer of Chat Pop Window";
	include("header.php");
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
  $bExecSQL = true;

  $bErr = false;
//-------------------------------
// Form Action begin
//-------------------------------
//-------------------------------
// Load all form fields into variables
//-------------------------------

    $flduserID = get_session("UserID");

	$fldheader = get_param("header");
	$fldfooter = get_param("footer");

//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "update") 
  {
//-------------------------------
// Form Check Event begin
// Form Check Event end
//-------------------------------
    if(strlen($sFormErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "update":
//-------------------------------
//-------------------------------
        $sSQL = "update seller set " .
          "header=" . tosql($fldheader, "Text") .",".
          "footer=" . tosql($fldfooter, "Text") ;

        $sSQL .= " where sellerID=" . tosql($flduserID,"Number");
    break;
  }
//-------------------------------
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: menu.php?action=ok&script=header_footer");
  exit;

//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
	$flduserID = get_session("UserID");
//-------------------------------
	$sSQL = "select header,footer from seller where sellerID=" . tosql($flduserID,"Text");
//-------------------------------
	
	// Execute SQL statement
	$db->query($sSQL);
	//next record cammon!
	$db->next_record();

//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------

  	if(!$sFormErr)
	{
		$fldheader = $db->f("header");
		$fldfooter = $db->f("footer");
	}
	else
	{
		$fldheader = get_param("header");
		$fldfooter = get_param("footer");
	}
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------

//-------------------------------
// Show form field
//-------------------------------
    ?>
<div align="center" class="liveseller">Change Header/Footer Chat Window</div>
<br/>
<table align="center" cellpadding="5" cellspacing="0" width="" border="0">
<form action="header_footer.php" method="post" enctype="application/x-www-form-urlencoded">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2" align="center"><font class="DataFONT"><?= $sFormErr ?></font></td></tr>
	 <? } ?>
  <TR>
    <TD class="FieldCaptionTD" align=middle colSpan=2></TD></TR>

  <TR>
    <TD class="FieldCaptionTD" align="right">
		<font class="FieldCaptionFONT">Header:</font>
	</TD>
    <TD class="FieldCaptionTD" align="left">
		<textarea rows="7" cols="60" name="header"><?=$fldheader;?></textarea>
	</TD>
  </TR>
  <TR>
    <TD class="FieldCaptionTD" align="right">
		<font class="FieldCaptionFONT">Footer:</font>
	</TD>
    <TD class="FieldCaptionTD" align="left">
		<textarea rows="7" cols="60" name="footer"><?=$fldfooter;?></textarea>
	</TD>
  </TR>
<tr>
	<td class="DataTD" align="center" colspan="2" align="left"><font class="FieldCaptionFONT">
  <input type="hidden" value="update" name="FormAction"/>
  <input class="child" type="submit" value="Submit" onclick="document.Form.FormAction.value = 'update';">
	  <input type="hidden" name="FormName" value="Form">
	</td>
</tr>

  </form>
</table>
<?

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>