<?php
/*********************************************************************************
 *       Filename: linksetup.php
 *********************************************************************************/

//-------------------------------
// Mail CustomIncludes begin

include ("common.php");

// Mail CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "linksetup.php";
//===============================
//===============================
// Mail CustomSecurity Event begin

	check_security();

// Mail CustomSecurity Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// Mail Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//===============================
//Header including
//===============================
	$title = $sitename . " :: Link Setup";
	include("header.php");
//===============================
// Display page
//===============================
	Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================

//********************************************************************************
//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;

  $bErr = false;
//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------
	$fldtextlink = get_param("textlink");
	$flduse_textlink = get_param("use_textlink");
//-------------------------------
// Build WHERE statement
//-------------------------------
	if(!$fldtextlink&&$flduse_textlink)
		$sFormErr.= "The value in the field <i>Text Link to  Live Support</i> is required.<br/>";
			
	if($sFormErr)
		return;
//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "update":
//-------------------------------
	if(!$flduse_textlink)
		$flduse_textlink = 0;
//-------------------------------
	$sSQL = "update seller set textlink = " . tosql($fldtextlink,"Text") . ", use_textlink = " . $flduse_textlink;
	$sSQL.= " where sellerID = " . tosql(get_session("UserID"),"Number");
	$db->query($sSQL);
//-------------------------------

    break;
  }
//-------------------------------
	header("Location: menu.php?script=linksetup&action=ok");
	exit;
//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
  $sWhere = "";
  $bPK = true;

//-------------------------------
	$fldtype = get_param("type");
//-------------------------------
	if(!$sFormErr)
	{
		if($fldtype&&$fldtype=="text")
		{
		//-------------------------------			
		//-------------------------------
		}
		else
		{
			$fldtype = "image";
		}

	}
	else
	{
		//-------------------------------
		$fldtextlink = get_param("textlink");		
		//-------------------------------
	}

//-------------------------------


	$fldsellerID = get_session("UserID");

	
$link = "<IFRAME marginheight=\"0\" frameborder=\"0\" border=\"0\" src=\"".$hostname."image.php?&type=".$fldtype."&sellerID=".$fldsellerID."\" width=\"150\" height=\"80\"></IFRAME>";

?>
<div align="center" class="liveseller">Your code is:</div>
<br/>
<table  align="center">
<tr><td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><textarea cols="60" rows="3"><?echo tohtml($link);	?></textarea></font></td></tr>
<tr><td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">Place cursor right on the code and press Ctrl+A. Then using context menu Copy text and paste the script into your EBay, Yahoo or Amazon auction description. Make sure that you are entering the script into the "HTML or JavaScript" version of the description section. 
</font></td></tr>

</table>

<?





?>
   <div align="center" class="liveseller">Link Setup</div>
   <br/>  
   
   <table align="center" cellpadding="5" cellspacing="0">
   <form method="POST" action="<?= $sFileName ?>" name="Form">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2"><font class="DataFONT"><?= $sFormErr ?></font></td></tr>
	 <? } ?>
      <tr>
       <td class="FieldCaptionTD" colspan="2" align="center">
		 <font style="font-size:12px;"><i>Use our link image or use your Text Link to Live Support:</i></font>
		 </font>
       </td>
     </tr>     
      <tr>
       <td class="FieldCaptionTD">
         <font class="FieldCaptionFONT">Text Link to Live Support input:</font>
       </td>
       <td class="FieldCaptionTD" align="left" width="70%">
         <font class="DataFONT"><input type="text" name="textlink" maxlength="50" size="50" value="<?=tohtml($fldtextlink)?>"></font>
       </td>
     </tr>
      <tr>
       <td class="FieldCaptionTD">
         <font class="FieldCaptionFONT">Use Text Link to Live Support?</font>
       </td>
       <td class="FieldCaptionTD" align="left" width="70%">
         <font class="DataFONT">
		 	<input type="Checkbox" name="use_textlink" value="1" <?if($flduse_textlink) echo "checked";?>>
		 </font>
       </td>
     </tr>
    <tr><td colspan="2" align="center" class="DataTD">

  <input type="hidden" value="update" name="FormAction"/>
  <input type="submit" value="Submit" onclick="document.Form.FormAction.value = 'update';">
    
  <input type="hidden" name="FormName" value="Form"> 
  
  </td></tr>
  </form>
  </table>
<?
  


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>