# phpMyAdmin MySQL-Dump
# version 2.2.3
# http://phpwizard.net/phpMyAdmin/
# http://phpmyadmin.sourceforge.net/ (download page)
#
# Host: localhost
# Generation Time: Jan 21, 2004 at 10:06 AM
# Server version: 4.00.15
# PHP Version: 4.3.3
# Database : `mwiz_test`
# --------------------------------------------------------

#
# Table structure for table `admin`
#

CREATE TABLE admin (
  login char(50) NOT NULL default '',
  pass char(50) NOT NULL default '',
  2checkoutID char(50) default NULL,
  paypal_email char(50) default NULL,
  payment_amount int(5) NOT NULL default '0',
  payment_type char(10) NOT NULL default '',
  requrring_period int(4) NOT NULL default '0',
  KEY login (login)
) TYPE=MyISAM COMMENT='Where the admin settings would stored';

#
# Dumping data for table `admin`
#

INSERT INTO admin VALUES ('admin', 'admin', '2checkoutID', 'support@alstrasoft.com', 10, 'month', 30);
# --------------------------------------------------------

#
# Table structure for table `buyer`
#

CREATE TABLE buyer (
  ID int(20) unsigned NOT NULL auto_increment,
  buyerID int(10) unsigned NOT NULL default '0',
  sellerID int(10) unsigned NOT NULL default '0',
  text text,
  is_accepted tinyint(1) unsigned default '0',
  dt datetime default NULL,
  is_new tinyint(1) unsigned default '1',
  is_close tinyint(1) unsigned default '0',
  ip varchar(50) default NULL,
  port varchar(30) default NULL,
  agent varchar(100) default NULL,
  referer varchar(100) default NULL,
  host varchar(100) default NULL,
  call_dt datetime default NULL,
  buyerID_old int(10) unsigned default '0',
  is_click tinyint(1) unsigned default '0',
  is_initiate tinyint(1) unsigned default '0',
  PRIMARY KEY  (ID),
  KEY buyerID (ID)
) TYPE=MyISAM COMMENT='    ';



#
# Table structure for table `c_r`
#

CREATE TABLE c_r (
  ID int(10) unsigned NOT NULL auto_increment,
  sellerID int(10) unsigned NOT NULL default '0',
  title varchar(50) NOT NULL default '',
  message text,
  is_survey tinyint(1) unsigned NOT NULL default '0',
  choice1 varchar(100) default NULL,
  choice2 varchar(100) default NULL,
  choice3 varchar(100) default NULL,
  choice4 varchar(100) default NULL,
  choice5 varchar(100) default NULL,
  stype varchar(10) default NULL,
  KEY ID (ID)
) TYPE=MyISAM COMMENT='Where the Canned Responses would stored';



#
# Table structure for table `seller`
#

CREATE TABLE seller (
  sellerID int(10) unsigned NOT NULL auto_increment,
  login varchar(20) NOT NULL default '',
  pass varchar(20) NOT NULL default '',
  is_online tinyint(1) unsigned default '0',
  email varchar(30) NOT NULL default '',
  timezone tinyint(2) unsigned default '0',
  lines_count tinyint(2) unsigned default NULL,
  sitename varchar(100) default NULL,
  notification varchar(50) default NULL,
  play_sound tinyint(1) unsigned default '1',
  textlink varchar(50) default NULL,
  header text,
  footer text,
  session_expire int(4) unsigned default '60',
  first_visit date default NULL,
  total_visit int(5) unsigned default '0',
  total_request int(5) unsigned default '0',
  KEY sellerID (sellerID)
) TYPE=MyISAM COMMENT=',   ';



#
# Table structure for table `survey`
#

CREATE TABLE survey (
  ID int(10) unsigned NOT NULL auto_increment,
  sellerID int(10) unsigned NOT NULL default '0',
  buyerID int(10) unsigned NOT NULL default '0',
  answer varchar(10) default NULL,
  comment text,
  is_view tinyint(1) unsigned default '0',
  is_answer tinyint(1) unsigned default '0',
  c_r_ID int(10) unsigned NOT NULL default '0',
  KEY ID (ID)
) TYPE=MyISAM COMMENT='Where the pushed survey''s would stored';



#
# Table structure for table `balance`
#

CREATE TABLE balance (
  id int(10) NOT NULL auto_increment,
  seller_id int(10) NOT NULL default '0',
  balance int(10) NOT NULL default '0',
  reg_date int(10) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=MyISAM;



#
# Table structure for table `payment`
#

CREATE TABLE `payment` (
  `idpayment` int(10) NOT NULL auto_increment,
  `amount` double NOT NULL default '0',
  `paysystem` varchar(50) default NULL,
  `payparam` text,
  `dateinput` int(10) NOT NULL default '0',
  PRIMARY KEY  (`idpayment`)
) TYPE=MyISAM AUTO_INCREMENT=17 ;



    