<?php
/*********************************************************************************
 *       Filename: timezone.php
 *********************************************************************************/

//-------------------------------
// Mail CustomIncludes begin

include ("common.php");

// Mail CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "timezone.php";
//===============================
//===============================
// Mail CustomSecurity Event begin

	check_security();

// Mail CustomSecurity Event end
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// Mail Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================

//===============================
// Display page
//===============================
//Header including
//===============================
	$title = $sitename . " :: Time Zone Setup";
	include("header.php");
//===============================
// Display page
//===============================
	Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================

//********************************************************************************
//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;

  $bErr = false;
//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------
//-------------------------------
// Build WHERE statement
//-------------------------------
  if($sAction == "update") 
  {
	$fldhours = get_param("hours");
  }
	if(!is_number($fldhours))
		$sFormErr.= "The value in the field hours is incorrect.<br/>";
	elseif($fldhours>24||$fldhours<0)
		$sFormErr.= "The value in the field hours should be from 0 to 24.<br/>";
			
	if($sFormErr)
		return;
//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "update":
//-------------------------------
      $sSQL = "update seller set timezone = " . tosql($fldhours,"Number");
	  $sSQL.= " where sellerID = " . tosql(get_session("UserID"),"Number");
	  $db->query($sSQL);
//-------------------------------

    break;
  }
//-------------------------------
	header("Location: menu.php?script=timezone&action=ok");
	exit;
//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
  $sWhere = "";
  $bPK = true;

//-------------------------------
	$SQL = "select timezone from seller where sellerID = ".get_session("UserID");
	$fldhours = get_db_value($SQL);
	if(!$fldhours)
		$fldhours = 0;

	$dt = date ("G:i:s", mktime (date("G")+$fldhours,date("i"),date("s"),date("m") ,date("d"),date("Y")));
//-------------------------------
?>
   <div align="center" class="liveseller">Time Zone Setup</div>
   <br/>  
   
   <table align="center" cellpadding="5" cellspacing="0">
   <form method="POST" action="<?= $sFileName ?>" name="Form">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2"><font class="DataFONT"><?= $sFormErr ?></font></td></tr>
	 <? } ?>
<? 

//-------------------------------
// Load primary key and form parameters
//-------------------------------
  if($sFormErr != "")  
  {
    $fldhours = strip(get_param("hours"));
  } 
//-------------------------------
// Show form field
//-------------------------------
    ?>   
      <tr>
       <td class="FieldCaptionTD" colspan="2" align="left">
         <font class="FieldCaptionFONT">Server time is: <font color="red"><b><?=date("H:i:s");?></b></font>
		 <br/>
         <font class="FieldCaptionFONT">Your time is: <font color="red"><b><?=$dt?></b></font>
		 <br/>
		 <font style="font-size:11px;"><i>If your local time is equal to our server time do not fill the field of this form.<br/> If not - please fill the field with hours to add to our server time.</i></font>
		 </font>
       </td>
     </tr>     
      <tr>
       <td class="FieldCaptionTD">
         <font class="FieldCaptionFONT">Add to server time (hours):</font>
       </td>
       <td class="FieldCaptionTD" align="left" width="50%">
         <font class="DataFONT"><input type="text" name="hours" maxlength="2" size="2" value="<?=tohtml($fldhours)?>"></font>
       </td>
     </tr>
    <tr><td colspan="2" align="center" class="DataTD">

  <input type="hidden" value="update" name="FormAction"/>
  <input type="submit" value="Submit" onclick="document.Form.FormAction.value = 'update';">
    
  <input type="hidden" name="FormName" value="Form"> 
  
  </td></tr>
  </form>
  </table>
<?
  


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>