<?php
/*********************************************************************************
 *       Filename: transcripts.php
 *********************************************************************************/

// UserList CustomIncludes Event begin
include ("common.php");
// UserList CustomIncludes Event end


session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "transcripts.php";
//===============================


//===============================
// UserList CustomSecurity Event begin
check_security();
// UserList CustomSecurity Event end
//===============================

//===============================
//Header including
//===============================
	$title = $sitename . " :: View Transcript";
	include("header.php");
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************


//===============================
// Display Grid Form
//-------------------------------
function Form_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------  
  global $db;
  global $sFormErr;
  global $sFileName;
  global $styles;
//-------------------------------
	$fldbuyerID = get_param("buyerID");
	$fldcall_dt = get_param("call_dt");
	if(!$fldcall_dt||!$fldbuyerID)
	{
		header("Location: ". $_SERVER['HTTP_REFERER']);
		exit;
	}
//-------------------------------
	$timezone = get_db_value("select timezone from seller where sellerID = " . tosql(get_session("UserID"),"Number"));
//-------------------------------
	$SQL = "select *,DATE_FORMAT(DATE_ADD(DATE_FORMAT(call_dt,'%Y-%m-%d %H:%m:%s'), INTERVAL '".$timezone."' HOUR),'%H:%m:%s (%d-%b-%Y)') as call_dt ". 
				" from buyer where ".
				" sellerID =  " . tosql(get_session("UserID"),"Number") . $sWhere . 
				" and buyerID_old = " . tosql($fldbuyerID,"Number") . " and call_dt = " . tosql($fldcall_dt,"Date") . 
				" order by dt DESC";
//-------------------------------
	$db->query($SQL);
	$next_record = $db->next_record();
//-------------------------------	
	if($fldsearch)
	{
	$num = $db->num_rows();
	?>
	<table align="center" cellpadding="5" cellspacing="0">
	<tr>
		<td colspan="2">
			<div class="liveseller" align="center">Search Result <font color="red" style="font-size:10px;">(find #: <?=$num?>)</font></div>
		</td>
	</tr>
	</table>
	<?
	}
	if(!$next_record)
	{
		?>
	<table>
	<tr>
		<td colspan="2">
			<font color="red" style="font-family:Verdana; font-size:12px;" align="center">No chat session to show.</font>
		</td>
	</tr>
	</table>
		<?
	return;
	}
	?>

	<?
//-------------------------------
?>
	<table align="center" cellpadding="5" cellspacing="0">
<?
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldtext = $db->f("text");
    $fldbuyerID_old = $db->f("buyerID_old");
    $fldcall_dt = $db->f("call_dt");
    $fldip = $db->f("ip");
    $fldport = $db->f("port");
    $fldagent = $db->f("agent");
    $fldreferer = $db->f("referer");
    $fldhost = $db->f("host");
//-------------------------------
		$fldtext = Cite($fldtext,150," ");
			
		$fldtext = add_br($fldtext);
		$fldtext = $fldtext."<br/>";
				
		$fldtext = trim_all($fldtext);
// Process the HTML controls
//-------------------------------
?>
	<tr>
		<td colspan="2">
			<div class="liveseller" align="center">Chat Session for visitor # 
			<font color="#FF0000"><?=$fldbuyerID_old;?></font></div>
		</td>
	</tr>
	<tr>
		<td colspan="2" class="DataTD" align="left">
			<font class="FieldCaptionFONT"><?=$fldtext?></td>
	</tr>
	<tr>
		<td colspan="2" class="FieldCaptionTD">
			<div class="liveseller" align="center">Visitor Info</div>
		</td>
	</tr>
	<tr>
		<td class="DataTD" align="right" width="20%">
			<font class="FieldCaptionFONT"><b>Agent:</font>
		</td>
		<td class="DataTD" align="left">
			<font class="FieldCaptionFONT"><?=$fldagent?></font>
		</td>
	</tr>
	<tr>
		<td class="DataTD" align="right" width="20%">
			<font class="FieldCaptionFONT"><b>IP:</font>
		</td>
		<td class="DataTD" align="left">
			<font class="FieldCaptionFONT"><?=$fldip?></font>
		</td>
	</tr>
	<tr>
		<td class="DataTD" align="right" width="20%">
			<font class="FieldCaptionFONT"><b>Refer URL:</font>
		</td>
		<td class="DataTD" align="left">
			<font class="FieldCaptionFONT"><?=$fldreferer?></font>
		</td>
	</tr>
	<tr>
		<td class="DataTD" align="right" width="20%">
			<font class="FieldCaptionFONT"><b>Host/Port:</font>
		</td>
		<td class="DataTD" align="left">
			<font class="FieldCaptionFONT"><?=$fldhost . "/" . $fldport?></font>
		</td>
	</tr>
	<tr>
		<td class="DataTD" align="right" width="20%">
			<font class="FieldCaptionFONT"><b>Visit at:</font>
		</td>
		<td class="DataTD" align="left">
			<font class="FieldCaptionFONT"><?=$fldcall_dt?></font>
		</td>
	</tr>
<?
//-------------------------------
// Form Show end
//-------------------------------

//--------------------------------------------------------------
//-------------------------------
//-------------------------------
//Select the pushed survey's and answer for them
//-------------------------------
$SQL = "select c.message,c.choice1,c.choice2,c.choice3,c.choice4,c.choice5,s.answer,s.is_answer,s.comment from survey as s,c_r as c where " . 
	" c.ID=s.c_r_ID and s.buyerID = " . tosql($fldbuyerID,"Number") . " and " .
	" s.sellerID = " . tosql(get_session("UserID"),"Number") . " order by s.ID ASC";
//-------------------------------
//-------------------------------
	$db->query($SQL);
	$next_record = $db->next_record();
//-------------------------------
	if($next_record)
	{
?>
	<tr>
		<td colspan="2" class="FieldCaptionTD">
			<div class="liveseller" align="center">Pushed Survey's</div>
		</td>
	</tr>
<?
	}//if end
	
	while($next_record)
	{
		$fldquestion = $db->f("message");
		$fldanswer = $db->f("answer");
		$fldis_answer = $db->f("is_answer");
		$fldcomment = $db->f("comment");
		
		$fldanswer = explode("@",$fldanswer);
		$fld = "";$i=1;
		foreach($fldanswer as $v)
			$fld.= $db->f("choice".$v)."<br/>";
			
		$fld = substr($fld,0,-5);
?>
	<tr>
		<td class="DataTD" align="right" width="20%">
			<font class="FieldCaptionFONT"><b>Question:</font>
		</td>
		<td class="DataTD" align="left">
			<font class="FieldCaptionFONT"><?=$fldquestion?></font>
		</td>
	</tr>
<?if($fldis_answer){?>
	<tr>
		<td class="DataTD" align="right">
			<font class="FieldCaptionFONT"><b>Answer:</font>
		</td>
		<td class="DataTD" align="left">
			<font class="FieldCaptionFONT"><?=$fld?></font>
		</td>
	</tr>
	<tr>
		<td class="DataTD" align="right">
			<font class="FieldCaptionFONT"><b>Comments:</font>
		</td>
		<td class="DataTD" align="left">
			<font class="FieldCaptionFONT"><?=add_br(tohtml($fldcomment));?>&nbsp;</font>
		</td>
	</tr>
<?}else{?>
	<tr>
		<td class="DataTD" align="right">
			<font class="FieldCaptionFONT"><b>Answer:</font>
		</td>
		<td class="DataTD" align="left">
			<font class="FieldCaptionFONT">Didn't answer yet.</font>
		</td>
	</tr>
<?}?>
	<tr>
		<td colspan="2" height="10" class="FieldCaptionTD">			
		</td>
	</tr>
<?
		
		$next_record = $db->next_record();
	}
//-------------------------------
//--------------------------------------------------------------
?>
    </table>
<?
//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------
}
//===============================

?>