<?php
/*********************************************************************************
 *       Filename: managesettings.php
 *********************************************************************************/

//-------------------------------
// manageuser CustomIncludes begin

include ("../common.php");

// manageuser CustomIncludes end
//-------------------------------

session_start();

check_security(1);

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "managesettings.php";
//===============================
//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// manageuser Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";
//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================
//Header including
//===============================
	$title = "AlstraSoft Live Support :: Admin Settings";
	include("header.php");
//===============================
// Display page
//===============================
	if(get_param("action")=="ok")
		Form_ok();
	else	
		Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************
function Form_ok()
{
	?>
	<font class="liveseller">
	<?
	echo "The settings have changed successfully.";
	?>
	</font>
	<br/>
	<?
}
//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
  $bExecSQL = true;
  $sActionFileName = "";

  $bErr = false;
//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------
//-------------------------------
// Load all form fields into variables
//-------------------------------
    $fldlogin = get_param("login");
    $fldpass = get_param("password");
    $fld2checkoutID = get_param("2checkoutID");
    $fldpaypal_email = get_param("paypal_email");
	$fldpayment_amount = get_param("payment_amount");
	$fldpayment_type = get_param("payment_type");
	$fldrequrring_period = get_param("requrring_period");
//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "update") 
  {
    if(!$fldlogin)
      $sFormErr .= "The value in field login is required.<br>";
	  
    if(!$fldpass)
      $sFormErr .= "The value in field password is required.<br>";
  
    if(!$fld2checkoutID)
      $sFormErr .= "The value in field 2checkout ID is required.<br>";

    if(!$fldpaypal_email)
      $sFormErr .= "The value in field paypal email is required.<br>";
	  
	 if(!$fldpayment_amount)
      $sFormErr .= "The value in field registration fee is required.<br>";
//-------------------------------
// Form Check Event begin
// Form Check Event end
//-------------------------------
    if(strlen($sFormErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
//-------------------------------	
    case "update":
//-------------------------------
//-------------------------------
		if ($fldrequrring_period!="")
			$rp = ", requrring_period=" . tosql($fldrequrring_period, "Text");

		$current_payment_type = get_db_value("select payment_type from admin");
		
		if ($current_payment_type == "once" and $fldpayment_type == "month")
			$db->query("update balance set reg_date = '".date("U")."'");

        $sSQL = "update admin set " .
          "login=" . tosql($fldlogin, "Text") .",".
          "pass=" . tosql($fldpass, "Text") .",".
          "2checkoutID=" . tosql($fld2checkoutID, "Text") .",".
          "paypal_email=" . tosql($fldpaypal_email, "Text").",".
		  "payment_amount=" . tosql($fldpayment_amount, "Text") .",".
		  "payment_type=" . tosql($fldpayment_type, "Text").
		  $rp;
    break;
  }
//-------------------------------
//-------------------------------
// Execute SQL statement
//-------------------------------
	$db->query($sSQL);
	header("Location: managesettings.php?action=ok");
	exit;
//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
  $sFormTitle = "";
  $sWhere = "";
  $bPK = true;
//-------------------------------
  	$sSQL = "select * from admin ";
	// Execute SQL statement
	$db->query($sSQL);
	$db->next_record();
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------
  	if(!$sFormErr)
	{
	    $fldlogin = $db->f("login");
	    $fldpass = $db->f("pass");
	    $fld2checkoutID = $db->f("2checkoutID");
	    $fldpaypal_email = $db->f("paypal_email");
		$fldpayment_amount = $db->f("payment_amount");
		$fldpayment_type = $db->f("payment_type");
		$fldrequrring_period = $db->f("requrring_period");
	}
	else
	{
	    $fldlogin = get_param("login");
	    $fldpass = get_param("password");
	    $fld2checkoutID = get_param("2checkoutID");
	    $fldpaypal_email = get_param("paypal_email");
	}
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------

//-------------------------------
// Show form field
//-------------------------------
    ?>
<div align="center" class="liveseller">Change admin settings</div>
<form action="managesettings.php" method="post" enctype="application/x-www-form-urlencoded">
<table align="center" cellpadding="5" cellspacing="0">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2"><font class="DataFONT"><?= $sFormErr ?></font></td></tr>
	 <? } ?>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>login input:*</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<input  class="DataFONT" type="Text" name="login" maxlength="30" size="30" value="<?=$fldlogin?>">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>password input:*</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<input class="DataFONT" type="Text" name="password" maxlength="30" size="30" value="<?=$fldpass?>">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>2checkout ID input:*</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<input class="DataFONT" type="Text" name="2checkoutID" maxlength="30" size="30" value="<?=$fld2checkoutID?>">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>paypal email input:*</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<input class="DataFONT" type="Text" name="paypal_email" maxlength="30" size="30" value="<?=$fldpaypal_email?>">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>Registration fee:*</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<input class="DataFONT" type="Text" name="payment_amount" maxlength="30" size="30" value="<?=$fldpayment_amount?>">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>Payment type:*</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		One time<input onclick="javascript: document.all.requrring_period.disabled=1" type="Radio" name="payment_type"  value="once" <?if ($fldpayment_type=="once") echo "checked"?>>
		Every mounth<input onclick="javascript: document.all.requrring_period.disabled=0" type="Radio" name="payment_type" value="month" <?if ($fldpayment_type=="month") echo "checked"?>>
		
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>Recurring period (days):*</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<input class="DataFONT" type="Text" name="requrring_period" maxlength="30" size="30" value="<?=$fldrequrring_period?>" <?if ($fldpayment_type=="once") echo "disabled"?>>
	</td>
</tr>
<tr>
	<td class="DataTD" align="center" colspan="2" align="left"><font class="FieldCaptionFONT">
	<input type="hidden" value="update" name="FormAction"/>
	<input class="child" type="submit" value="Update" onclick="document.Form.FormAction.value = 'update';">
	<input type="hidden" name="FormName" value="Form">
	</td>
</tr>

  </form>
</table>
<?
  


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>