<?php
/*********************************************************************************
 *       Filename: manageuser.php
 *********************************************************************************/

//-------------------------------
// manageuser CustomIncludes begin

include ("../common.php");

// manageuser CustomIncludes end
//-------------------------------

session_start();

check_security(1);

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "manageuser.php";
//===============================
//===============================
//   
//===============================
	$fldaction = get_param("action");

	if($fldaction=="delete")
	{
		$flduserID = get_param("userID");
		if($flduserID)
		{
			$SQL = "delete from seller where sellerID = " . tosql($flduserID,"Number");
			$db->query($SQL);
		}
		header("Location: ".$_SERVER['HTTP_REFERER']);
		exit;
	}
//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// manageuser Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";
//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================
//Header including
//===============================
	$title = "AlstraSoft Live Support :: Manage User";
	include("header.php");
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
  $pPKsellerID = "";
  $fldpass = "";
  $fldemail = "";
//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------
  $sActionFileName = "userlist.php";
//-------------------------------
// Load all form fields into variables
//-------------------------------

    $flduserID = get_param("userID");
    $fldlogin = get_param("login");
    $fldpass = get_param("password");
    $fldemail = get_param("email");

//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "insert" || $sAction == "update") 
  {
    if(!$fldlogin)
      $sFormErr .= "The value in field login is required.<br>";
	  
    if(!$fldpass)
      $sFormErr .= "The value in field password is required.<br>";
	  
    if(!$fldemail)
      $sFormErr .= "The value in field email is required.<br>";
    if(!is_email($fldemail))
      $sFormErr .= "The value in field email is not valid email address.<br>";
//-------------------------------
// Form Check Event begin
// Form Check Event end
//-------------------------------
    if(strlen($sFormErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "insert":

//-------------------------------
//-------------------------------
        $sSQLquey = "insert into seller (login,pass,email) values ( " .
			tosql($fldlogin, "Text") .",".
			tosql($fldpass, "Text") .",".
			tosql($fldemail, "Text") .
			")";
			
		$db->query($sSQLquey);
		$db->query("insert into balance values ('', '".mysql_insert_id()."', '0', ".date("U").")");
    break;
//-------------------------------
//-------------------------------	
    case "update":
//-------------------------------
//-------------------------------
        $sSQL = "update seller set " .
          "login=" . tosql($fldlogin, "Text") .",".
          "pass=" . tosql($fldpass, "Text") .",".
          "email=" . tosql($fldemail, "Text");
        $sSQL .= " where sellerID=" . tosql($flduserID,"Number");
		
		if (get_param("add_funds")!="")
		{
			$fldBalance = get_db_value("select balance from balance where seller_id='$flduserID'");
			$new_balance = $fldBalance + get_param("add_funds");
			$db->query("update balance set balance='$new_balance' where seller_id = '$flduserID'");
		}
    break;
  }
//-------------------------------
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: " . $sActionFileName);

//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
  $sFormTitle = "";
  $sWhere = "";
  $bPK = true;
//-------------------------------
	$flduserID = get_param("userID");
	if(!$flduserID)
		$bIsUpdateMode = false;
	else
	{
	  	$sSQL = "select login,pass,email from seller where sellerID=" . tosql($flduserID,"Text");
		// Execute SQL statement
		$db->query($sSQL);
		if($db->next_record())
			$bIsUpdateMode = true;
		else
			$bIsUpdateMode = false;
	}
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------

  	if(!$sFormErr)
	{
	    $fldlogin = $db->f("login");
	    $fldpass = $db->f("pass");
	    $fldemail = $db->f("email");
	}
	else
	{
	    $fldlogin = get_param("login");
	    $fldpass = get_param("password");
	    $fldemail = get_param("email");
	}
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------

//-------------------------------
// Show form field
//-------------------------------
    ?>
<div align="center" class="liveseller"> <? if($fldlogin) echo "Manage user ".$fldlogin; else echo "Add new user";?></div>
<form action="manageuser.php" method="post" enctype="application/x-www-form-urlencoded">
<table align="center" cellpadding="5" cellspacing="0">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2"><font class="DataFONT"><?= $sFormErr ?></font></td></tr>
	 <? } ?>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>login input:*</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<input  class="DataFONT" type="Text" name="login" maxlength="30" size="30" value="<?=$fldlogin?>">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>password input:*</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<input class="DataFONT" type="Text" name="password" maxlength="30" size="30" value="<?=$fldpass?>">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>email input:*</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<input class="DataFONT" type="Text" name="email" maxlength="30" size="30" value="<?=$fldemail?>">
	</td>
</tr>
<? 
if ($bIsUpdateMode) 
{ 
	$userID = get_param("userID");
	$db->query("select balance, reg_date from balance where seller_id = '$userID'");
	$db->next_record();
?>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>User's balance:</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="left" valign="top"><font class="FieldCaptionFONT">
		<strong>$<?=$db->f("balance")?></strong>
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>Last charge date:</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="left" valign="top"><font class="FieldCaptionFONT">
		<strong><?=date("m-d-Y", $db->f("reg_date"))?></strong>
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT">
		<div class=child>Add funds:</div> &nbsp;
	</td>
	<td class="FieldCaptionTD" align="left" valign="top"><font class="FieldCaptionFONT">
		<strong>$<input name="add_funds" size="5"></strong>
	</td>
</tr>
<?}?>
<tr>
	<td class="DataTD" align="center" colspan="2" align="left"><font class="FieldCaptionFONT">
	   <input type="hidden" value="<?=$flduserID?>" name="userID">
	         
<? if ($bIsUpdateMode) { ?>
  <input type="hidden" value="update" name="FormAction"/>
  <input class="child" type="submit" value="Update" onclick="document.Form.FormAction.value = 'update';">
<? }else{ ?>
	   <input type="hidden" value="insert" name="FormAction"/>
	   <input class="child" type="submit" value="Insert" onclick="document.Form.FormAction.value = 'insert';">
<?}?>
	  <input type="hidden" name="FormName" value="Form">
	</td>
</tr>

  </form>
</table>
<?
  


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>