<?php
/*********************************************************************************
 *       Filename: answer_survey.php
 *********************************************************************************/

//-------------------------------
// manageuser CustomIncludes begin

include ("common.php");

// manageuser CustomIncludes end
//-------------------------------

session_start();

//-------------------------------
	$fldID = get_param("ID");
	$fldsellerID = get_param("sellerID");
	$fldbuyerID = get_param("buyerID");
//-------------------------------
//Check if seller pushes survey to this buyer
//-------------------------------

	$SQL = "select c_r_ID from survey where " . 
		" buyerID = " . tosql($fldbuyerID,"Number") . " and " .
		" sellerID = " . tosql($fldsellerID,"Number") . " and " . 
		" ID = " . tosql($fldID,"Number");
	$res = get_db_value($SQL);
	
	//if not
	if(!$res)
	{
		header("Location: ".$_SERVER['HTTP_REFERER']);
		exit;
	}
//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "answer_survey.php";
//===============================
//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// manageuser Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";
//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================
//Header including in Form defenition
//===============================
//None
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************

//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------
  $sActionFileName = "answer_survey.php";
//-------------------------------
// Load all form fields into variables
//-------------------------------

	$fldID = get_param("ID");

	$fldstype = get_param("stype");

	if($fldstype=="radio")
		$fldanswer = get_param("answer");
	else
	{
		$fldchoice1 = get_param("choice1");
		$fldchoice2 = get_param("choice2");
		$fldchoice3 = get_param("choice3");
		$fldchoice4 = get_param("choice4");
		$fldchoice5 = get_param("choice5");
	}
	
	$fldcomment = get_param("comment");
//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "insert") 
  {
		if($fldstype=="radio"&&!$fldanswer)
		{
			$sFormErr = "Please choose one of the following answers.";
			$fldanswer = $fldanswer . "@";
		}
		elseif($fldstype=="checkbox")
		{
			if(!$fldchoice1&&!$fldchoice2&&!$fldchoice3&&!$fldchoice4&&!$fldchoice5)
				$sFormErr = "Please select one of the following checkboxes.";
			
			if(!$sFormErr)
			{
				if($fldchoice1)
					$fldanswer.= "1@";
				if($fldchoice2)
					$fldanswer.= "2@";
				if($fldchoice3)
					$fldanswer.= "3@";
				if($fldchoice4)
					$fldanswer.= "4@";
				if($fldchoice5)
					$fldanswer.= "5@";
			}
		}
//-------------------------------
// Form Check Event begin
// Form Check Event end
//-------------------------------
    if(strlen($sFormErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "insert":

//-------------------------------
//-------------------------------
        $sSQL = "update survey set " . 
				" answer = " . tosql($fldanswer,"Text") . "," . 
				" comment = " . tosql($fldcomment,"Text") . "," .
				" is_answer = " . tosql("1","Number");
				
		$sSQL.= " where ID = " . tosql($fldID,"Number");
    break;
//-------------------------------
  }
//-------------------------------
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
    $db->query($sSQL);
//-------------------------------
//===============================
	global $sitename;
	$title = $sitename . " :: Thank you for your answer";
	include("header.php");
//===============================
// Display page
//===============================
?>
<div align="center" class="liveseller"> Thank you for your answer</font></div>
<script>
function go(){
	timerID = setTimeout('LoStart()',4000);
}
function LoStart(){
	window.close();
}
go();	
</script>
<?
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
// Form Action end
//-------------------------------
exit;
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
	$fldID = get_param("ID");
	$fldsellerID = get_param("sellerID");
	$fldbuyerID = get_param("buyerID");
//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------
  	if($sFormErr)
	{
		$fldanswer = get_param("answer");
		$fldcomment = get_param("comment");
	}
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------
	$SQL = "select c.message,c.choice1,c.choice2,c.choice3,c.choice4,c.choice5,c.stype from c_r as c,survey as s where s.c_r_ID=c.ID and s.ID = " . tosql($fldID,"Number");
	$db->query($SQL);
	$db->next_record();
	
	$fldquestion = $db->f("message");
	$fldstype = $db->f("stype");
	$fldchoice1 = $db->f("choice1");
	$fldchoice2 = $db->f("choice2");
	$fldchoice3 = $db->f("choice3");
	$fldchoice4 = $db->f("choice4");
	$fldchoice5 = $db->f("choice5");
//-------------------------------
// Show form field
//-------------------------------
	global $sitename;
	$title = $sitename . " :: Please Answer this Question";
    ?>
<html>
<head>
<title><?=$title?></title>
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="expires" content="0">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<link rel="stylesheet" href="site.css" type="text/css">
</head>
<body class="PageBODY" topmargin="0" leftmargin="0" bottommargin="0">
	<table width=100% border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td height="30px" align="center" style="font-size:10px" bgcolor="#D5D3BD">
			<font style="font-size:14px; color:white "><b>Question is:<br/><br/><br/></font>
			<font face="Arial, Helvetica, sans-serif" style=" color:#375AA2;font-size:30px; ">
			<?=$fldquestion;?>
			<br/><br/>
			</font>
			</td>
		</tr>
	</table>
	<table width=100% cellpadding="0" cellspacing="0" height="70%">
		<tr>
			<td style="background-color:#375AA2 " colspan="3">&nbsp;
			</td>
		</tr>


		<tr>
			<td width="10%" height="20%" style="background-color:#375AA2">&nbsp;
			
			</td>
			<td bgcolor="#EFEFE4" align="center" valign="middle" width="30%"><br/>

<form action="<?=$sFileName;?>" method="post" enctype="application/x-www-form-urlencoded">
<table align="center" cellpadding="5" cellspacing="0">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2" align="center"><font class="DataFONT"><?= $sFormErr; ?></font></td></tr>
	 <? } ?>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Answer:
	</td>
	<?if($fldstype=="radio"){?>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">

	<?if($fldchoice1){?>
	<input type="radio" name="answer" value="1"><?=$fldchoice1;?><br/>
	<?}?>
	<?if($fldchoice2){?>
	<input type="radio" name="answer" value="2"><?=$fldchoice2;?><br/>
	<?}?>
	<?if($fldchoice3){?>
	<input type="radio" name="answer" value="3"><?=$fldchoice3;?><br/>
	<?}?>
	<?if($fldchoice4){?>
	<input type="radio" name="answer" value="4"><?=$fldchoice4;?><br/>
	<?}?>
	<?if($fldchoice5){?>
	<input type="radio" name="answer" value="5"><?=$fldchoice5;?><br/>
	<?}?>
	
	</td>
	<?}else{?>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
	<?if($fldchoice1){?>
	<input type="checkbox" name="choice1" value="1"><?=$fldchoice1;?><br/>
	<?}?>
	<?if($fldchoice2){?>
	<input type="checkbox" name="choice2" value="1"><?=$fldchoice2;?><br/>
	<?}?>
	<?if($fldchoice3){?>
	<input type="checkbox" name="choice3" value="1"><?=$fldchoice3;?><br/>
	<?}?>
	<?if($fldchoice4){?>
	<input type="checkbox" name="choice4" value="1"><?=$fldchoice4;?><br/>
	<?}?>
	<?if($fldchoice5){?>
	<input type="checkbox" name="choice5" value="1"><?=$fldchoice5;?><br/>
	<?}?>
	</td>
	<?}?>
</tr>

<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Comments:
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
	<textarea cols="40" rows="5" name="comment"><?=$fldcomment;?></textarea>
	</td>
</tr>
<tr>
	<td class="DataTD" align="center" colspan="2" align="left"><font class="FieldCaptionFONT">

	   <input type="hidden" value="<?=$fldbuyerID?>" name="buyerID">
	   <input type="hidden" value="<?=$fldsellerID?>" name="sellerID">
	   <input type="hidden" value="<?=$fldID?>" name="ID">
	   <input type="hidden" value="<?=$fldstype?>" name="stype">
	   <input type="hidden" value="insert" name="FormAction"/>
	   <input class="child" type="submit" value="Answer" onclick="document.Form.FormAction.value = 'insert';">

	  <input type="hidden" name="FormName" value="Form">
	</td>
</tr>

  </form>
</table>
<?
  


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>