<?php
/*********************************************************************************
 *       Filename: changepassword.php
 *********************************************************************************/

//-------------------------------
// manageuser CustomIncludes begin

include ("common.php");

// manageuser CustomIncludes end
//-------------------------------

session_start();

check_security();
//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "changepassword.php";
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// manageuser Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================

//===============================
// Display page

//===============================
// HTML Page layout
//===============================
//Header including
//===============================
	$title = $sitename . " :: Change your password";
	include("header.php");
//===============================
// Display page
//===============================
	Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
  $bExecSQL = true;
  $bErr = false;

//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------
  $sActionFileName = "menu.php?action=ok&script=changepassword";
//-------------------------------
// Load all form fields into variables
//-------------------------------
  $fldsellerID = get_session("UserID");
  $fldpass = get_param("pass");
  $fldconfpass = get_param("confpass");
//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "insert" || $sAction == "update") 
  {
    if(!strlen($fldpass))
      $sFormErr .= "The value in field password is required.<br>";
	elseif($fldpass!=$fldconfpass)
      $sFormErr .= "Password confirmation is wrong!<br>";
//-------------------------------
// Form Check Event begin
// Form Check Event end
//-------------------------------
    if(strlen($sFormErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "update":

//-------------------------------
// Form Update Event begin
// Form Update Event end
//-------------------------------
        $sSQL = "update seller set " .
          "pass=" . tosql($fldpass, "Text");

        $sSQL .= " where sellerID=" . $fldsellerID;
    break;
  }
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if(strlen($sFormErr)) return;
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: " . $sActionFileName);

//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
  $sFormTitle = "";
  $sWhere = "";
  $bPK = true;

?>
   <div align="center" class="liveseller">Change your password</div>
   <br/>  
   
   <table align="center" cellpadding="5" cellspacing="0">
   <form method="POST" action="<?= $sFileName ?>" name="Form">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="1"><font class="DataFONT"><?= $sFormErr ?></font></td></tr>
	 <? } ?>
<? 

//-------------------------------
// Load primary key and form parameters
//-------------------------------

//-------------------------------
// Build WHERE statement
//-------------------------------  
  $psellerID = get_session("UserID");
  
  $sWhere .= " sellerID=" . tosql($psellerID, "Number");
//-------------------------------
//-------------------------------
// Build SQL statement and execute query
//-------------------------------
  	$sSQL = "select pass from seller where " . $sWhere;
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------
   if($sFormErr == "") 
   {
		$fldpass = get_db_value($sSQL);
   }
   else
   {
   		$fldpass = get_param("pass");
   }
//-------------------------------
// Show form field
//-------------------------------
    ?>
      <tr>
       <td class="FieldCaptionTD" align="right">
         <font class="FieldCaptionFONT">Password:</font>
       </td>
       <td class="FieldCaptionTD" align="left">
         <font class="DataFONT"><input type="password" name="pass" maxlength="20" value="<?= tohtml($fldpass) ?>" size="22" ></font>
       </td>
     </tr>
      <tr>
       <td class="FieldCaptionTD" align="right">
         <font class="FieldCaptionFONT">Confirm password:</font>
       </td>

       <td class="FieldCaptionTD" align="left">
         <font class="DataFONT"><input type="password" name="confpass" maxlength="20" value="<?= tohtml($fldpass) ?>" size="22" ></font>
       </td>
    </tr>

    <tr><td colspan="2" align="center">

  <input type="hidden" value="update" name="FormAction"/>
  <input type="submit" value="Update" onclick="return check();">

  <input type="hidden" name="FormName" value="Form">

  </td></tr>
  </form>
  </table>
    <script>
  	function check()
	{
		if (document.all.pass.value==document.all.confpass.value)
		{
			document.Form.FormAction.value = 'update';
			document.all.Form.submit();
		}			
		else
		{
			alert ("Password confirmation is wrong!");
			document.all.pass.focus();
			return false;
		}
	}
  </script> 
<?
  


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>