<?php

/*********************************************************************************
 *       Filename: common.php
 *********************************************************************************/

error_reporting (E_ALL ^ E_NOTICE);

session_start();

//===============================
// Database Connection Definition
//-------------------------------
// Connection begin

include("db_mysql.inc");

global $hostname;

	if($_SERVER['HTTP_HOST']!="localhost")
	{
#============== main variables ===============
 
  #== address of the site location (with "/" at the and): ==
  
  $hostname = "http://www.alstrasoft.com/livesupport/";
  
  #== database params ==
  define("DATABASE_NAME","alstraso_live");
  define("DATABASE_USER","alstraso_live");
  define("DATABASE_PASSWORD","live");
    
#=============================================


	}
	else
	{
		$hostname = "http://localhost/livesupport/";
		define("DATABASE_NAME","livesupport");
		define("DATABASE_USER","root");
		define("DATABASE_PASSWORD","");
	}

define("DATABASE_HOST","localhost");


// Database Initialize
$db = new DB_Sql();
$db->Database = DATABASE_NAME;
$db->User     = DATABASE_USER;
$db->Password = DATABASE_PASSWORD;
$db->Host     = DATABASE_HOST;
//  Connection end


//===============================
// Define the site name
//===============================
	if(get_session("UserID")||get_session("tmp_sellerID"))
	{
		$SQL = "select sitename from seller where sellerID = " . tosql(get_session("UserID"),"Number") . " or sellerID = " . tosql(get_session("tmp_sellerID"),"Number");
		$sitename = get_db_value($SQL);
	}
	//Set the default sitename
	if(!$sitename)
		$sitename = "Live Support";

	global $sitename;		
//===============================
function print_listbox($name,$lookup_array,$selected_value)
{
	//$lookup_array = explode(";", $lookup_array);
?>		
<select name="<?=$name?>">
<?
    if(is_array($lookup_array))
    {
      foreach($lookup_array as $key=>$value)
      {
		if($key == $selected_value)
          $option="<option SELECTED value=\"$key\">$value";
        else 
          $option="<option value=\"$key\">$value";
        echo $option;
      }
    }
?>
	</select>
<?		
}
//===============================
// Site Initialization
//-------------------------------
// Obtain the path where this site is located on the server
//-------------------------------
$app_path = ".";
//===============================
function trim_all($pattern)
{

	$pattern =  str_replace("\x0B","",$pattern);
	$pattern =  str_replace("\0","",$pattern);
	$pattern =  str_replace("\n","",$pattern);
	$pattern =  str_replace("\r","",$pattern);
	$pattern =  str_replace("\t","",$pattern);
	
	return $pattern;
}
function unique_id(){
	$random_unique_value = mt_rand(0,9000000000);
	$SQL = "select buyerID from buyer where buyerID=".$random_unique_value;
	$res = get_db_value($SQL);
	
	if(!$res){
		return 	$random_unique_value;
	}else{
		unique_id();
	}
}
//=============================================================================
//Functions for print header,body,footer of the page
//=============================================================================
function Print_HmainF($text)
{
	Print_Header();
	Print_main($text);
	Print_Footer();
	exit;	
}

function Print_Header($title="Live Support ::")
{
?>
<html>
<head>
<title><?=$title?></title>
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="expires" content="0">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<link rel="stylesheet" href="Site.css" type="text/css">
</head>
<body class="PageBODY">
<hr size="50" color="#A5AEE7">
<?
}

function Print_main($text)
{
?>
	 <br/>
	 <table align="center" height=70%>
	  <tr>
	   
	   <td valign="top">
		<font><?= $text ?></font>	    
	   </td>
	  </tr>
	 </table>	 
<?
}
function Print_Footer()
{
?>
<br/>
<hr size="2" color="blue">
	<table width=100%>
		<tr>
			<td align="center" style="font-size:10px" bgcolor="#A5AEE7">
            <font size="2"><font face="Arial, Helvetica, sans-serif">&copy; Copyright 2004. 
            Powered By</font><font face="Arial, Helvetica, sans-serif" color="#0066FF">
            <a href="http://www.alstrasoft.com/livesupport.htm">AlstraSoft Live 
            Support</a>. </font><font face="Arial, Helvetica, sans-serif">All Rights Reserved.</font></font></td>
		</tr>
	</table>
</body>
</html>
<?
}
//=============================================================================
//---Koterov Recommendation!!! Function for format the body of sending message
function Cite($body,$num,$prefix=" ")
{
	$st = WordWrap($body,$num-strlen($prefix),"\n");
	$st = $prefix.str_replace("\n","\n$prefix",$st);
	return $st;
}

function add_br($string)
{
        return nl2br($string);
}

function check_length($param,$max_size)
{
        if (strlen($param)>$max_size)
		return false;

	return true;
}
function is_email($email)
{
        if (!$email) return false;

if (!ereg("^[a-zA-Z0-9_]+@[a-zA-Z0-9\-]+\.[a-zA-Z0-9\-\.]+$", $email))
  return false;

return true;  
}

//===============================
// Common functions
//-------------------------------
// Convert non-standard characters to HTML
//-------------------------------
function tohtml($strValue)
{
  return htmlspecialchars($strValue);
}

//-------------------------------
// Convert value to URL
//-------------------------------
function tourl($strValue)
{
  return urlencode($strValue);
}

//-------------------------------
// Obtain specific URL Parameter from URL string
//-------------------------------
function get_param($param_name)
{
  if(isset($_POST[$param_name]))
    $param_value = $_POST[$param_name];
  elseif(isset($_GET[$param_name]))
    $param_value = $_GET[$param_name];

  return $param_value;
}

//-------------------------
//Function get and set session when register_globals = Off
//Good security functions
//-------------------------
function get_session($param_name)
{
  return $_SESSION[$param_name];
}

function set_session($param_name, $param_value)
{
	$_SESSION[$param_name] = $param_value;
}

function delete_session($param_name)
{
	unset($_SESSION[$param_name]);
}
//-------------------------

function is_number($string_value)
{
  if(is_numeric($string_value) || !strlen($string_value))
    return true;
  else 
    return false;
}

//-------------------------------
// Convert value for use with SQL statament
//-------------------------------
function tosql($value, $type)
{
  if($value == "")
    return "NULL";
  else
    if($type == "Number")
      return str_replace (",", ".", doubleval($value));
    else
    {
      if(get_magic_quotes_gpc() == 0)
      {
        $value = str_replace("'","''",$value);
        $value = str_replace("\\","\\\\",$value);
      }
      else
      {
        $value = str_replace("\\'","''",$value);
        $value = str_replace("\\\"","\"",$value);
      }

      return "'" . $value . "'";
    }
}

function strip($value)
{
  if(get_magic_quotes_gpc() == 0)
    return $value;
  else
    return stripslashes($value);
}

function db_fill_array($sql_query)
{
  global $db;
  $db_fill = new DB_Sql();
  $db_fill->Database = $db->Database;
  $db_fill->User     = $db->User;
  $db_fill->Password = $db->Password;
  $db_fill->Host     = $db->Host;

  $db_fill->query($sql_query);
  if ($db_fill->next_record())
  {
    do
    {
      $ar_lookup[$db_fill->f(0)] = $db_fill->f(1);
    } while ($db_fill->next_record());
    return $ar_lookup;
  }
  else
    return false;

}

//-------------------------------
// Deprecated function - use get_db_value($sql)
//-------------------------------
function dlookup($table_name, $field_name, $where_condition)
{
  $sql = "SELECT " . $field_name . " FROM " . $table_name . " WHERE " . $where_condition;
  return get_db_value($sql);
}


//-------------------------------
// Lookup field in the database based on SQL query
//-------------------------------
function get_db_value($sql)
{
  global $db;
  $db_look = new DB_Sql();
  $db_look->Database = $db->Database;
  $db_look->User     = $db->User;
  $db_look->Password = $db->Password;
  $db_look->Host     = $db->Host;

  $db_look->query($sql);
  if($db_look->next_record())
    return $db_look->f(0);
  else 
    return "";
}

//-------------------------------
// Obtain Checkbox value depending on field type
//-------------------------------
function get_checkbox_value($value, $checked_value, $unchecked_value, $type)
{
  if(!strlen($value))
    return tosql($unchecked_value, $type);
  else
    return tosql($checked_value, $type);
}
//-------------------------------
// Verify user's security level and redirect to login page if needed
//-------------------------------

function check_security($is_admin=0)
{
	$redirect = false;
	
	if($is_admin&&!get_session("admin"))
		$redirect = true;
	elseif(!get_session("login")&&!$is_admin)
		$redirect = true;
	
	if($redirect)
		header ("Location: index.php?querystring=" . urlencode(getenv("QUERY_STRING")) . "&ret_page=" . urlencode(getenv("REQUEST_URI")));
}

//===============================
//  GlobalFuncs begin
//  GlobalFuncs end
//======