<?php
/*********************************************************************************
 *       Filename: create_survey.php
 *********************************************************************************/

//-------------------------------
// manageuser CustomIncludes begin

include ("common.php");

// manageuser CustomIncludes end
//-------------------------------

session_start();

check_security();

//-------------------------------
//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "create_survey.php";
//===============================
//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// manageuser Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";
//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================
//Header including
//===============================
	$title = $sitename . " :: Predefine Response";
	include("header.php");
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------
  $sActionFileName = "create_survey.php";
//-------------------------------
// Load all form fields into variables
//-------------------------------
	$step = get_session("step");
//-------------------------------
	switch ($step)
	{
	case 1:
//--------------------------------------------------------------
		    //-------------------------------
			$fldtitle = get_param("title");
			//-------------------------------
			if(!$fldtitle)
			{
			  $sFormErr .= "The value in field <i>Title</i> is required.<br>";
			  return;
			}
			if(strlen($fldtitle)>50)
			{
			  $sFormErr .= "The value in field <i>Title</i> must be less than 50 symbols.<br>";
			  return;
			}
			//-------------------------------
			$survey["title"] = $fldtitle;
			//-------------------------------
			set_session("survey",$survey);
			set_session("step",2);
			//-------------------------------
			  header("Location: " . $sActionFileName);
			  exit;
			//-------------------------------			  
			break;
//--------------------------------------------------------------
	case 2:
//--------------------------------------------------------------
			$survey = get_session("survey");
		    //-------------------------------
			$fldchoices = get_param("choices");
			$fldmessage = get_param("message");
			$fldstype = get_param("stype");
			//-------------------------------
			if(!$fldmessage)
			{
			  $sFormErr .= "The value in field <i>Survey Question</i> is required.<br>";
			  return;
			}
			if(!$fldchoices||strlen($fldchoices)>1||$fldchoices>5)
			{
			  $sFormErr .= "The value in field <i>Number of possible choices</i> is incorrect.<br>";
			  return;
			}
			if($fldstype!="radio"&&$fldstype!="checkbox")
			{
			  $sFormErr .= "The value in field <i>Radio or Checkbox</i> is incorrect.<br>";
			  return;
			}
			//-------------------------------
			$survey["choices"] = $fldchoices;
			$survey["message"] = $fldmessage;
			$survey["stype"] = $fldstype;
			//-------------------------------
			set_session("survey",$survey);
			set_session("step",3);
			//-------------------------------
			  header("Location: " . $sActionFileName);
			  exit;
			//-------------------------------			  
			break;
//--------------------------------------------------------------
	case 3:
//--------------------------------------------------------------
		    $survey = get_session("survey");
			//-------------------------------
			$fldchoice = get_param("choice");		
			//-------------------------------
			for($i=0;$i<$survey['choices'];$i++)
			{
				if(!$fldchoice[$i])
				{
					$sFormErr .= "The value in field <i>Choice ".($i+1)."</i> is required.<br>";
			  		return;
				}
				$survey[$i] = $fldchoice[$i];
			}
			//-------------------------------
//-------------------------------
// Create SQL statement
//-------------------------------
	$sActionFileName.= "?is_survey=1";
//-------------------------------
//-------------------------------
        $sSQL = "insert into c_r (sellerID,is_survey,title,message,choice1,choice2,choice3,choice4,choice5,stype) values ( " .
			tosql(get_session("UserID"), "Number") .",".
			tosql("1", "Number") .",".
			tosql($survey['title'], "Text") .",".
			tosql($survey['message'], "Text") .",".
			tosql($survey[0], "Text") .",".
			tosql($survey[1], "Text") .",".
			tosql($survey[2], "Text") .",".
			tosql($survey[3], "Text") .",".
			tosql($survey[4], "Text") .",".
			tosql($survey['stype'], "Text") .
			")";
//-------------------------------
//-------------------------------
    $db->query($sSQL);
//-------------------------------
  header("Location: c_r_list.php?is_survey=1");
  exit;
//-------------------------------
	break;
//--------------------------------------------------------------
	}
//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
  $sFormTitle = "";
  $sWhere = "";
  $bPK = true;
//-------------------------------
	$action = get_param("action");	
//-------------------------------
	if($action=="begin")
		set_session("step","1");
//-------------------------------
	$step = get_session("step");
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------
	switch ($step)
	{
//--------------------------------------------------------------
		case 1: 
//--------------------------------------------------------------
				$sFormTitle = "Create New Survey: Step 1:";
				//-------------------------------
				if($sFormErr)
					$fldtitle = get_param("title");
				//-------------------------------

				?>
<div align="center" class="liveseller"> <?=$sFormTitle;?>
<IMG height=25 align="absmiddle" src="<?=$hostname;?>images/counters/1s_on.gif" width=25 border=0><IMG height=25 align="absmiddle" src="<?=$hostname;?>images/counters/2s_off.gif" width=25 border=0><IMG height=25 align="absmiddle" src="<?=$hostname;?>images/counters/3s_off.gif" width=25 border=0>
</div>
<form action="<?=$sFileName;?>" method="post" enctype="application/x-www-form-urlencoded">
<table align="center" cellpadding="5" cellspacing="0">

   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2" align="center"><font class="DataFONT"><?= $sFormErr; ?></font></td></tr>
	 <? } ?>

<tr>
	<td colspan="2" class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
Suvey Name is only used for your reference. It is not displayed to visitors.
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Survey Name: *
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
		<input  class="DataFONT" type="Text" name="title" maxlength="50" size="50" value="<?=$fldtitle;?>">
	</td>
</tr>

<tr>
	<td class="DataTD" align="center" colspan="2" align="left"><font class="FieldCaptionFONT">

		<input type="hidden" value="insert" name="FormAction"/>
		<input type="hidden" name="FormName" value="Form">
		
		<input class="child" type="submit" value="Proceed to Step 2" onclick="document.Form.FormAction.value = 'insert';">
	</td>
</tr>

  </form>
</table>				
				<?
				break;
//--------------------------------------------------------------
		case 2: 
//--------------------------------------------------------------
				$sFormTitle = "Create New Survey: Step 2:";
				//-------------------------------
				if($sFormErr)
				{
					$fldchoices = get_param("choices");
					$fldmessage = get_param("message");
					$fldstype = get_param("stype");
				}
				//-------------------------------

				?>
<div align="center" class="liveseller"> <?=$sFormTitle;?>
<IMG height=25 align="absmiddle" src="<?=$hostname;?>images/counters/1s_on.gif" width=25 border=0><IMG height=25 align="absmiddle" src="<?=$hostname;?>images/counters/2s_on.gif" width=25 border=0><IMG height=25 align="absmiddle" src="<?=$hostname;?>images/counters/3s_off.gif" width=25 border=0>
</div>
<form action="<?=$sFileName;?>" method="post" enctype="application/x-www-form-urlencoded">
<table align="center" cellpadding="5" cellspacing="0">

   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2" align="center"><font class="DataFONT"><?= $sFormErr; ?></font></td></tr>
	 <? } ?>

<tr>
	<td colspan="2" class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
Provide the survey question for your visitors.
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Survey Question: *
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
	<textarea cols="40" rows="5" name="message"><?=$fldmessage;?></textarea>
	</td>
</tr>
<tr>
	<td colspan="2" class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
Number of possible choices the visitor will select from for the above question. (max 5 choices)
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="right" width="50%"><font class="FieldCaptionFONT">
		Number of possible choices: *
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
		<input  class="DataFONT" type="Text" name="choices" maxlength="1" size="1" value="<?=$fldchoices;?>">
	</td>
</tr>
<tr>
	<td colspan="2" class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
Can visitors choose SINGLE or MULTIPLE selection from your available choices?
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="right" width="50%"><font class="FieldCaptionFONT">
		Radio or Checkbox: *
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
<select name="stype">
	<option value="radio" <?if($fldstype=="radio") echo "selected";?>>Single Selection (radio)</option>
	<option value="checkbox" <?if($fldstype=="checkbox") echo "selected";?>>Multiple Selection (checkbox)</option>
</select>
	</td>
</tr>


<tr>
	<td class="DataTD" align="center" colspan="2" align="left"><font class="FieldCaptionFONT">

		<input type="hidden" value="insert" name="FormAction"/>
		<input type="hidden" name="FormName" value="Form">
		
		<input class="child" type="submit" value="Proceed to Step 3" onclick="document.Form.FormAction.value = 'insert';">
	</td>
</tr>

  </form>
</table>
<?
				break;
//--------------------------------------------------------------
		case 3: 
//--------------------------------------------------------------
				$sFormTitle = "Create New Survey: Step 3:";
				$survey = get_session("survey");
				//-------------------------------
				if($sFormErr)
				{
					$fldchoice = get_param("choice");
				}
				//-------------------------------

				?>
<div align="center" class="liveseller"> <?=$sFormTitle;?>
<IMG height=25 align="absmiddle" src="<?=$hostname;?>images/counters/1s_on.gif" width=25 border=0><IMG height=25 align="absmiddle" src="<?=$hostname;?>images/counters/2s_on.gif" width=25 border=0><IMG height=25 align="absmiddle" src="<?=$hostname;?>images/counters/3s_on.gif" width=25 border=0>
</div>
<form action="<?=$sFileName;?>" method="post" enctype="application/x-www-form-urlencoded">
<table align="center" cellpadding="5" cellspacing="0">

   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2" align="center"><font class="DataFONT"><?= $sFormErr; ?></font></td></tr>
	 <? } ?>

<tr>
	<td colspan="2" class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
Provide the available choices of the survey question. (max 100 char)<br/>
The Survey Question was: <i><?=$survey['message'];?></i>
	</td>
</tr>
<?
for($i=1;$i<=$survey['choices'];$i++)
{
?>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Choice <?=$i;?>: *
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
		<input  class="DataFONT" type="Text" name="choice[]" maxlength="100" size="50" value="<?=$fldchoice[$i-1];?>">
	</td>
</tr>
<?}?>

<tr>
	<td class="DataTD" align="center" colspan="2" align="left"><font class="FieldCaptionFONT">

		<input type="hidden" value="insert" name="FormAction"/>
		<input type="hidden" name="FormName" value="Form">
		
		<input class="child" type="submit" value="Proceed to Step 4" onclick="document.Form.FormAction.value = 'insert';">
	</td>
</tr>

  </form>
</table>
<?
				break;
//--------------------------------------------------------------
	}
//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>