<?php
/*********************************************************************************
 *       Filename: manage_c_r.php
 *********************************************************************************/

//-------------------------------
// manageuser CustomIncludes begin

include ("common.php");

// manageuser CustomIncludes end
//-------------------------------

session_start();

check_security();

//-------------------------------
	$fldID = get_param("ID");
//-------------------------------
//Check if response correspond with this seller
//-------------------------------
	$SQL = "select sellerID from c_r where ID = " . tosql($fldID,"Number");
	$res = get_db_value($SQL);
	
	//if not
	if($res!=get_session("UserID")&&$fldID)
	{
		header("Location: ".$_SERVER['HTTP_REFERER']);
		exit;
	}
//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "manage_c_r.php";
//===============================
//===============================
//   
//===============================
	$fldaction = get_param("action");

	if($fldaction=="delete"&&$fldID)
	{
		$SQL = "delete from c_r where ID = " . tosql($fldID,"Number");
		$db->query($SQL);
		header("Location: ".$_SERVER['HTTP_REFERER']);
		exit;
	}
//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// manageuser Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";
//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================
//Header including
//===============================
	$title = $sitename . " :: Predefine Response";
	include("header.php");
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------
  $sActionFileName = "c_r_list.php";
//-------------------------------
// Load all form fields into variables
//-------------------------------

    $fldID = get_param("ID");
    $fldis_survey = get_param("is_survey");

    $fldtitle = get_param("title");
    $fldmessage = get_param("message");

	if($fldis_survey)
	{
		$fldchoice1 = get_param("choice1");
		$fldchoice2 = get_param("choice2");
		$fldchoice3 = get_param("choice3");
		$fldchoice4 = get_param("choice4");
		$fldchoice5 = get_param("choice5");
		
		$fldstype = get_param("stype");
	}
//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "insert" || $sAction == "update") 
  {
    if(!$fldtitle)
      $sFormErr .= "The value in field <i>Title</i> is required.<br>";
	  
    if(!$fldmessage)
      $sFormErr .= "The value in field <i>Message</i> is required.<br>";
	  
	if($fldis_survey&&!$fldchoice1&&!$fldchoice2&&!$fldchoice3&&!$fldchoice4&&!$fldchoice5)
		$sFormErr .= "The value in field <i>Choice1or2or3or4or5</i> is required.<br>";
//-------------------------------
// Form Check Event begin
// Form Check Event end
//-------------------------------
    if(strlen($sFormErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
	if(!$fldis_survey)
		$fldis_survey = 0;
	else
		$fldis_survey = 1;

	$sActionFileName.= "?is_survey=" . $fldis_survey;
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "insert":

//-------------------------------
//-------------------------------
        $sSQL = "insert into c_r (sellerID,title,message) values ( " .
			tosql(get_session("UserID"), "Number") .",".
			tosql($fldtitle, "Text") .",".
			tosql($fldmessage, "Text") .
			")";
    break;
//-------------------------------
//-------------------------------	
    case "update":
//-------------------------------
//-------------------------------
        $sSQL = "update c_r set " .
          "title=" . tosql($fldtitle, "Text") .",".
          "message=" . tosql($fldmessage, "Text") .",".
          "stype=" . tosql($fldstype, "Text") .",".
          "choice1=" . tosql($fldchoice1, "Text") .",".
          "choice2=" . tosql($fldchoice2, "Text") .",".
          "choice3=" . tosql($fldchoice3, "Text") .",".
          "choice4=" . tosql($fldchoice4, "Text") .",".
          "choice5=" . tosql($fldchoice5, "Text");
        $sSQL .= " where ID=" . tosql($fldID,"Number");
    break;
  }
//-------------------------------
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: " . $sActionFileName);

//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
  $sFormTitle = "";
  $sWhere = "";
  $bPK = true;
//-------------------------------
	$fldID = get_param("ID");
	if(!$fldID)
		$bIsUpdateMode = false;
	else
	{
	  	$sSQL = "select * from c_r where ID=" . tosql($fldID,"Number");
		// Execute SQL statement
		$db->query($sSQL);
		if($db->next_record())
			$bIsUpdateMode = true;
		else
			$bIsUpdateMode = false;
	}
//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------

  	if(!$sFormErr)
	{
	    $fldID = $db->f("ID");
	    $fldis_survey = $db->f("is_survey");

	    $fldtitle = $db->f("title");
	    $fldmessage = $db->f("message");
		
		if($fldis_survey)
		{
			$fldchoice1 = $db->f("choice1");
			$fldchoice2 = $db->f("choice2");
			$fldchoice3 = $db->f("choice3");
			$fldchoice4 = $db->f("choice4");
			$fldchoice5 = $db->f("choice5");
		}
		
		$fldstype = $db->f("stype");
	}
	else
	{
	    $fldID = get_param("ID");
	    $fldis_survey = get_param("is_survey");

	    $fldtitle = get_param("title");
	    $fldmessage = get_param("message");


		$fldchoice1 = get_param("choice1");
		$fldchoice2 = get_param("choice2");
		$fldchoice3 = get_param("choice3");
		$fldchoice4 = get_param("choice4");
		$fldchoice5 = get_param("choice5");
		
		$fldstype = get_param("stype");
	}
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------
	if(!$fldis_survey)
	{
		$sFieldCaption = "Message:*";
		
		if($fldID)
			$sFormTitle = "Update Predefined Response <i>".$fldtitle . "</i>";
		else
			$sFormTitle = "Predefine New Response";		
	}
	else
	{
		$sFieldCaption = "Question:*";
		
		if($fldID)
			$sFormTitle = "Update Predefined Survey <i>".$fldtitle ."</i>";
		else
			$sFormTitle = "Predefine New Survey";
	}
//-------------------------------
//-------------------------------
// Show form field
//-------------------------------
    ?>
<div align="center" class="liveseller"> <?=$sFormTitle;?></div>
<form action="<?=$sFileName;?>" method="post" enctype="application/x-www-form-urlencoded">
<table align="center" cellpadding="5" cellspacing="0">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2" align="center"><font class="DataFONT"><?= $sFormErr; ?></font></td></tr>
	 <? } ?>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Title:*
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
		<input  class="DataFONT" type="Text" name="title" maxlength="50" size="50" value="<?=$fldtitle;?>">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		<?=$sFieldCaption;?>
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
	<textarea cols="40" rows="5" name="message"><?=$fldmessage;?></textarea>
	</td>
</tr>
<?if($fldis_survey){?>
<tr>
	<td class="FieldCaptionTD" align="right" width=""><font class="FieldCaptionFONT">
		Radio or Checkbox: *
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
<select name="stype">
	<option value="radio" <?if($fldstype=="radio") echo "selected";?>>Single Selection (radio)</option>
	<option value="checkbox" <?if($fldstype=="checkbox") echo "selected";?>>Multiple Selection (checkbox)</option>
</select>
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Choice1:
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
	<input type="text" name="choice1" value="<?=$fldchoice1;?>" maxlength="100" size="50">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Choice2:
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
	<input type="text" name="choice2" value="<?=$fldchoice2;?>" maxlength="100" size="50">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Choice3:
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
	<input type="text" name="choice3" value="<?=$fldchoice3;?>" maxlength="100" size="50">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Choice4:
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
	<input type="text" name="choice4" value="<?=$fldchoice4;?>" maxlength="100" size="50">
	</td>
</tr>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		Choice5:
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
	<input type="text" name="choice5" value="<?=$fldchoice5;?>" maxlength="100" size="50">
	</td>
</tr>
<?}?>
<tr>
	<td class="DataTD" align="center" colspan="2" align="left"><font class="FieldCaptionFONT">
		<input type="hidden" value="<?=$fldID?>" name="ID">
		<input type="hidden" value="<?=$fldis_survey;?>" name="is_survey"/>
<? if ($bIsUpdateMode) { ?>
  <input type="hidden" value="update" name="FormAction"/>
  <input class="child" type="submit" value="Update" onclick="document.Form.FormAction.value = 'update';">
<? }else{ ?>
	   <input type="hidden" value="insert" name="FormAction"/>
	   <input class="child" type="submit" value="Add" onclick="document.Form.FormAction.value = 'insert';">
<?}?>
	  <input type="hidden" name="FormName" value="Form">
	</td>
</tr>

  </form>
</table>
<?
  


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>