<?php
/*********************************************************************************
 *       Filename: messagebox.php
 *********************************************************************************/

//-------------------------------
// messenger CustomIncludes begin

include ("common.php");

// messenger CustomIncludes end
//-------------------------------

session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "messagebox.php";
//===============================

//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// messenger Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";

//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================

//===============================
// Display page

//===============================
// HTML Page layout
//-------------------------------
?><html>
<head>
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="expires" content="0">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
	<link rel="stylesheet" href="site.css" type="text/css">
</head>

<BODY leftmargin=0 topmargin=0 marginwidth=0 marginheight=0 class="PageBODY">
<!--oncontextmenu="return false" onselectstart="return false" ondragstart="return false"-->
 <table>
  <tr>
   
   <td valign="top">
<?php Form_show() ?>
    
   </td>
  </tr>
 </table>


</body>
</html>
<?php

// messenger Show end

//===============================
// messenger Close Event begin
// messenger Close Event end
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
  $bExecSQL = true;
  $sActionFileName = "";
  $sWhere = "";
  $bErr = false;
//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------

//-------------------------------
$UserID = get_session("UserID");
//-------------------------------

if($UserID)
{
  	$fldsellerID = $UserID;
	$fldbuyerID = get_param("buyerID");
}
else
{
  	$fldsellerID = get_session("tmp_sellerID");
	$fldbuyerID = get_session("tmp_buyerID");
}
	
	$fldtext = get_param("text");
	
    if( !strlen($fldbuyerID)) return;
    $sWhere = "sellerID=" . tosql($fldsellerID, "Number");

//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "insert" || $sAction == "update") 
  {
    if(!is_number($fldbuyerID))
      $sFormErr .= "The value in field buyerID is incorrect.<br>";
    
//-------------------------------
// Form Check Event begin
// Form Check Event end
//-------------------------------
    if(strlen($sFormErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "insert":
//-------------------------------

$flddt = date("Ymd G:i:s");
//-------------------------------
//Check for Canned Response
//-------------------------------
	$c_rID = get_param("c_r");
	$SQL = "select seller.timezone,seller.lines_count";
	if($c_rID)
	{
		$SQL.= ",c_r.message from seller,c_r where c_r.ID = " . tosql($c_rID,"Number") . " and ";
	}
	else
	{
		$SQL.= " from seller where";
	}
	$SQL.= " seller.sellerID = ".tosql($fldsellerID,"Number");
//-------------------------------
//-------------------------------
	$db->query($SQL);
	$db->next_record();
	$timezone = $db->f("timezone");
	$lines_count = $db->f("lines_count");
	if(!$lines_count)
		$lines_count = 14;

	if($timezone)
	{
		$post_dt = date ("G:i:s", mktime (date("G")+$timezone,date("i"),date("s"),date("m") ,date("d"),date("Y")));
	}
	else
		$post_dt = date ("G:i:s");
//-------------------------------
//Get the fast Response Message
//-------------------------------	
	if($db->f("message"))
		$fldtext = $db->f("message");
//-------------------------------
	$fldtext = tohtml($fldtext);

	$fldtext = str_replace("'","&rsquo;",$fldtext);		
	
	if(!$UserID){$fldtext = "<font class=\"client_".$lines_count."\" >(".$post_dt.") Client> ".$fldtext." </font>";}else{$fldtext = "<font class=\"liveseller_".$lines_count."\" >(".$post_dt.") Operator> ".$fldtext." </font>";}

	$SQL = "select text from buyer where buyerID=".tosql($fldbuyerID,"Number")." and ".$sWhere;
	$res = get_db_value($SQL);

//-------------------------------
	
	$sSQL = "update buyer set text=" .  tosql( $fldtext."\n".$res, "Text") . ", dt=".tosql($flddt,"Date");
	$sSQL .= " where " . $sWhere." and buyerID=".tosql($fldbuyerID,"Number");

//-------------------------------
    break;
	
    case "close":
//-------------------------------

		$flddt = date("Ymd G:i:s");
		$post_dt = date("G:i:s");
		//-------------------------------
		$fldtext = tohtml($fldtext);		
	
		$fldtext = "<font class=\"client_14\" >(".$post_dt.") System Message> Buyer close the messenger.</font>";

		$SQL = "select text from buyer where buyerID=".tosql($fldbuyerID,"Number")." and ".$sWhere;
		$res = get_db_value($SQL);

		//-------------------------------
	
		$sSQL = "update buyer set is_close=1,text=" .  tosql( $fldtext."\n".$res, "Text") . ", dt=".tosql($flddt,"Date");
		$sSQL .= " where " . $sWhere." and buyerID=".tosql($fldbuyerID,"Number");

		//-------------------------------
		delete_session("connect");
		delete_session("tmp_buyerID");
		delete_session("tmp_sellerID");

    break;
  }
//-------------------------------
//-------------------------------
// Form BeforeExecute Event begin
// Form BeforeExecute Event end
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if(strlen($sFormErr)) return;
  if($bExecSQL)
    $db->query($sSQL);

	if($sAction=="insert")
	{
				$fldtext = Cite($fldtext,150," ");
				
				$fldtext = add_br($fldtext);
				$fldtext = $fldtext."<br/>";
				
				$fldtext = trim_all($fldtext);
				$fldtext = addslashes ($fldtext);
				
				$message = $fldtext;
?>
<script>

function add_message(message)
{

	var a=parent.frames[0].document.getElementById('a');
	a.innerHTML = message + a.innerHTML;
}

	add_message("<?=$message;?>");

</script>

<html>

<head><link rel="stylesheet" href="site.css" type="text/css"></head>
<BODY leftmargin=0 topmargin=0 marginwidth=0 marginheight=0 class="PageBODY">
 <table>
  <tr>
   
   <td valign="top">
<?php Form_show() ?>
    
   </td>
  </tr>
 </table>
 </BODY>
</html>
<?php

	}
	else
	{
	?>
		<script>			
			parent.parent.window.close();
		</script>	
	<?	
	}

	exit;
//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
  
  $fldbuyerID = "";
  $fldauctionID = "";
  $fldtext = "";
//-------------------------------
// Form Show begin
//-------------------------------
  $sFormTitle = "";
  $sWhere = "";
  $bPK = true;

//-------------------------------
	$UserID = get_session("UserID");
//-------------------------------
//Canned Response Selection - for seller only!
//-------------------------------
if($UserID)
{
	$SQL = "select title,ID from c_r where is_survey=0 and sellerID = " . tosql($UserID,"Number");
	$db->query($SQL);
	$next_record = $db->next_record();
	if(!$next_record)
		$lookup_array = false;
	else
		$lookup_array[0] = "Select Predefined Response";

	while($next_record)
	{
		$lookup_array[$db->f("ID")] = $db->f("title");
		$next_record = $db->next_record();
	}
}
//-------------------------------
?>
   <table class="FormTABLE" cellpadding="0" cellspacing="0">
   <form method="GET" action="<?= $sFileName ?>" name="Form">
   
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2"><font class="DataFONT"><?= $sFormErr ?></font></td></tr>
	 <? } 


//-------------------------------
// Show form field
//-------------------------------
    ?>
    <tr>
		<td class="DataTD" colspan="2">
			<font class="DataFONT"><textarea name="text" cols="71" rows="2"></textarea></font>
		</td>
	</tr>
    <tr>
		<td align="left" class="DataTD" width="100">
		<?
		if(is_array($lookup_array))
		{
			print_listbox("c_r",$lookup_array,$selected_value);
		}
		?>
		</td>
		<td align="right" class="DataTD">
   <input type="hidden" value="insert" name="FormAction">
   <input type="submit" value="Send" onclick="document.Form.FormAction.value = 'insert';">	
  <?if($UserID){
  	$fldbuyerID = get_param("buyerID");
  ?>
  <input type="hidden" name="buyerID" value="<?=$fldbuyerID?>">
  <?}?>
  <input type="hidden" name="FormName" value="Form">

		  </td>
	</tr>  
  </table>
	<?if(!$UserID){?>   

<center><input type="submit" value="Close the Messenger" onclick="document.Form.FormAction.value = 'close';">

	<?}?>
</form>
<?
  


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>