<?php
/*********************************************************************************
 *       Filename: push_survey.php
 *********************************************************************************/

//-------------------------------
// manageuser CustomIncludes begin

include ("common.php");

// manageuser CustomIncludes end
//-------------------------------

session_start();

check_security();

//-------------------------------
	$fldbuyerID = get_param("buyerID");
//-------------------------------
//Check if seller pushes survey to his buyer
//-------------------------------

	$SQL = "select sellerID from buyer where buyerID = " . tosql($fldbuyerID,"Number");
	$res = get_db_value($SQL);
	
	//if not
	if($res!=get_session("UserID")&&$fldbuyerID)
	{
		header("Location: ".$_SERVER['HTTP_REFERER']);
		exit;
	}
//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "push_survey.php";
//===============================
//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// manageuser Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";
//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================
//Header including
//===============================
	$title = $sitename . " :: Push Survey";
	include("header.php");
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************

//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
//-------------------------------

//-------------------------------
// Form Action begin
//-------------------------------
  $sActionFileName = "push_survey.php";
//-------------------------------
// Load all form fields into variables
//-------------------------------

    $fldbuyerID = get_param("buyerID");
    $fldquestion = get_param("question");

//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "insert") 
  {
    if(!$fldquestion)
      $sFormErr .= "The value in field <i>Question</i> is required.<br>";
//-------------------------------
// Form Check Event begin
// Form Check Event end
//-------------------------------
    if(strlen($sFormErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "insert":

//-------------------------------
//-------------------------------
        $sSQL = "insert into survey (sellerID,buyerID,c_r_ID) values ( " .
			tosql(get_session("UserID"), "Number") .",".
			tosql($fldbuyerID, "Number") .",".
			tosql($fldquestion, "Number") .
			")";
    break;
//-------------------------------
  }
//-------------------------------
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
    $db->query($sSQL);
//-------------------------------
	global $sitename;
//===============================
	$title = $sitename . " :: Push Survey";
	include("header.php");
//===============================
// Display page
//===============================
?>
<div align="center" class="liveseller"> Survey for visitor with ID# <font color="red"><?=$fldbuyerID;?></font> was pushed succesfully.</font></div>
<script>
function go(){
	timerID = setTimeout('LoStart()',4000);
}
function LoStart(){
	window.close();
}
go();	
</script>
<?
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
// Form Action end
//-------------------------------
exit;
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
  $sFormTitle = "";
  $sWhere = "";
  $bPK = true;
//-------------------------------
	$fldbuyerID = get_param("buyerID");
//-------------------------------
	$UserID = get_session("UserID");
//-------------------------------
	$SQL = "select title,ID from c_r where is_survey=1 and sellerID = " . tosql($UserID,"Number");
	$db->query($SQL);
	$next_record = $db->next_record();

	if(!$next_record)
		$lookup_array = false;
	else
		$lookup_array[0] = "Select Predefined Survey";

	while($next_record)
	{
		$lookup_array[$db->f("ID")] = $db->f("title");
		$next_record = $db->next_record();
	}
//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------

  	if($sFormErr)
	{
	    $fldbuyerID = get_param("buyerID");
	    $selected_value = get_param("question");
	}
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------

//-------------------------------
// Show form field
//-------------------------------
    ?>
<div align="center" class="liveseller"> Push Survey for visitor with ID# <font color="red"><?=$fldbuyerID;?></font></div>
<form action="<?=$sFileName;?>" method="post" enctype="application/x-www-form-urlencoded">
<table align="center" cellpadding="5" cellspacing="0">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2" align="center"><font class="DataFONT"><?= $sFormErr; ?></font></td></tr>
	 <? } ?>
<tr>
	<td class="FieldCaptionTD" align="right"><font class="FieldCaptionFONT">
		<?if(!$lookup_array){?>
	First you should <a href="manage_c_r.php?is_survey=1" title="Click to add new survey">Predefine Survey</a>
		<?}else{?>
		Question:*
		<?}?>
	</td>
	<td class="FieldCaptionTD" align="left"><font class="FieldCaptionFONT">
	<?
	if(is_array($lookup_array))
		print_listbox("question",$lookup_array,$selected_value);
	?>
	</td>
</tr>
	<?if($lookup_array){?>
<tr>
	<td class="DataTD" align="center" colspan="2" align="left"><font class="FieldCaptionFONT">

	   <input type="hidden" value="<?=$fldbuyerID?>" name="buyerID">
	   <input type="hidden" value="insert" name="FormAction"/>
	   <input class="child" type="submit" value="Push" onclick="document.Form.FormAction.value = 'insert';">

	  <input type="hidden" name="FormName" value="Form">
	</td>
</tr>
	<?}?>

  </form>
</table>
<?
  


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>