<?php
/*********************************************************************************
 *       Filename: settings.php
 *********************************************************************************/

//-------------------------------
// manageuser CustomIncludes begin

include ("common.php");

// manageuser CustomIncludes end
//-------------------------------

session_start();

check_security();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "settings.php";
//===============================
//===============================
//Save the name of the form and type of action into the variables
//-------------------------------
$sAction = get_param("FormAction");
$sForm = get_param("FormName");
//===============================

// manageuser Show begin

//===============================
// Perform the form's action
//-------------------------------
// Initialize error variables
//-------------------------------
$sFormErr = "";
//-------------------------------
// Select the FormAction
//-------------------------------
switch ($sForm) {
  case "Form":
    Form_action($sAction);
  break;
}
//===============================
//Header including
//===============================
	$title = $sitename . " :: Change your settings";
	include("header.php");
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************


//===============================
// Action of the Record Form
//-------------------------------
function Form_action($sAction)
{
//-------------------------------
// Initialize variables  
//-------------------------------
  global $db;
  
  global $sForm;
  global $sFormErr;
  global $styles;
  $bExecSQL = true;

  $bErr = false;
//-------------------------------
// Form Action begin
//-------------------------------
//-------------------------------
// Load all form fields into variables
//-------------------------------

    $flduserID = get_session("UserID");

	$fldsession_expire = get_param("session_expire");
    $fldlines_count = get_param("lines_count");
    $fldsitename = get_param("sitename");
    $fldemail = get_param("email");
    $fldnotification = get_param("notification");
    $fldplay_sound = get_param("play_sound");

//-------------------------------
// Validate fields
//-------------------------------
  if($sAction == "update") 
  {	  
    if($fldsession_expire&&!is_number($fldsession_expire))
      $sFormErr .= "The value in field <i>Automatic session expiration</i> is not valid.<br>";
	  
    if($fldlines_count!=10&&$fldlines_count==11&&$fldlines_count==12&&$fldlines_count==13&&$fldlines_count==14)
      $sFormErr .= "The value in field <i>How many lines to show during active chats</i> is incorrect.<br>";
	  
    if($fldemail&&!is_email($fldemail))
      $sFormErr .= "The value in field <i>E-mail address to send contact messages to</i> is not valid email address.<br>";

    if($fldnotification&&!is_email($fldnotification))
      $sFormErr .= "The value in field <i>E-mail address to send notifications to</i> is not valid email address.<br>";
//-------------------------------
// Form Check Event begin
// Form Check Event end
//-------------------------------
    if(strlen($sFormErr)) return;
  }
//-------------------------------


//-------------------------------
// Create SQL statement
//-------------------------------
  switch(strtolower($sAction)) 
  {
    case "update":
//-------------------------------
//-------------------------------
        $sSQL = "update seller set " .
          "session_expire=" . tosql($fldsession_expire, "Number") .",".
          "lines_count=" . tosql($fldlines_count, "Number") .",".
          "sitename=" . tosql($fldsitename, "Text") .",".
          "email=" . tosql($fldemail, "Text") .",".
          "notification=" . tosql($fldnotification, "Text") .",".
          "play_sound=" . tosql($fldplay_sound, "Number");

        $sSQL .= " where sellerID=" . tosql($flduserID,"Number");
    break;
  }
//-------------------------------
//-------------------------------

//-------------------------------
// Execute SQL statement
//-------------------------------
  if($bExecSQL)
    $db->query($sSQL);
  header("Location: menu.php?action=ok&script=settings");
  exit;

//-------------------------------
// Form Action end
//-------------------------------
}

//===============================
// Display Record Form
//-------------------------------
function Form_show()
{
  global $db;
  
  global $sAction;
  global $sForm;
  global $sFileName;
  global $sFormErr;
  global $styles;
//-------------------------------
// Form Show begin
//-------------------------------
  $sFormTitle = "";
  $sWhere = "";
  $bPK = true;
//-------------------------------
	$flduserID = get_session("UserID");
//-------------------------------
	$sSQL = "select lines_count,sitename,email,notification,play_sound,session_expire from seller where sellerID=" . tosql($flduserID,"Text");
//-------------------------------
	
	// Execute SQL statement
	$db->query($sSQL);
	//next record cammon!
	$db->next_record();

//-------------------------------

//-------------------------------
// Load all fields into variables from recordset or input parameters
//-------------------------------

  	if(!$sFormErr)
	{
		$fldsession_expire = $db->f("session_expire");
	    $fldlines_count = $db->f("lines_count");
	    $fldsitename = $db->f("sitename");
	    $fldemail = $db->f("email");
	    $fldnotification = $db->f("notification");
	    $fldplay_sound = $db->f("play_sound");
	}
	else
	{
		$fldsession_expire = get_param("session_expire");
	    $fldlines_count = get_param("lines_count");
	    $fldsitename = get_param("sitename");
	    $fldemail = get_param("email");
	    $fldnotification = get_param("notification");
	    $fldplay_sound = get_param("play_sound");
	}
	if(!$fldsession_expire)
		$fldsession_expire = 0;
//-------------------------------
// Load data from recordset when form displayed first time
//-------------------------------

//-------------------------------
// Show form field
//-------------------------------
    ?>
<div align="center" class="liveseller">Change Site Settings</div>
<br/>
<table align="center" cellpadding="5" cellspacing="0" width="600">
<form action="settings.php" method="post" enctype="application/x-www-form-urlencoded">
   <? if ($sFormErr) { ?>
		<tr><td class="DataTD" colspan="2" align="center"><font class="DataFONT"><?= $sFormErr ?></font></td></tr>
	 <? } ?>
  <TR>
    <TD class="FieldCaptionTD" align=middle colSpan=2></TD></TR>
  <TR>
    <TD class="FieldCaptionTD" align=right><font class="FieldCaptionFONT">
	Automatic session expiration in min (0=no expiration):</TD>
    <TD class="FieldCaptionTD">
		<INPUT size="4" maxlength="4" value="<?=$fldsession_expire?>" name="session_expire"></TD></TR>
  <TR>
    <TD class="FieldCaptionTD" align=right><font class="FieldCaptionFONT">Font size to show during active chats (default=14px):</TD>
    <TD class="FieldCaptionTD">
		<select name="lines_count">
			<option value="10" <?if($fldlines_count==10) echo "selected";?>>10px
			<option value="11" <?if($fldlines_count==11) echo "selected";?>>11px
			<option value="12" <?if($fldlines_count==12) echo "selected";?>>12px
			<option value="13" <?if($fldlines_count==13) echo "selected";?>>13px
			<option value="14" <?if($fldlines_count==14) echo "selected";?>>14px
		</select>
	</TD></TR>
  <TR>
    <TD class="FieldCaptionTD" align=right><font class="FieldCaptionFONT">Name of your site:</TD>
    <TD class="FieldCaptionTD">
		<INPUT size="30" value="<?=$fldsitename?>" name="sitename"></TD></TR>
  <TR>
    <TD class="FieldCaptionTD" align=right><font class="FieldCaptionFONT">E-mail address to send contact messages 
      to:</TD>
    <TD class="FieldCaptionTD">
		<INPUT size="30" value="<?=$fldemail?>" name="email"></TD></TR>
  <TR>
    <TD class="FieldCaptionTD" align=right><font class="FieldCaptionFONT">E-mail address to send notifications to 
      (blank=no notification):</TD>
    <TD class="FieldCaptionTD">
		<INPUT size="30" name="notification" value="<?=$fldnotification?>"></TD></TR>
<!--  <TR>
    <TD class="FieldCaptionTD" align=right><font class="FieldCaptionFONT">Automatic expiration when no operator 
      responds</TD>
    <TD class="FieldCaptionTD">
		<INPUT size="30" value="<?=$fldautoexpire?>" name="autoexpire"></TD></TR>-->
  <TR>
    <TD class="FieldCaptionTD" align=right><font class="FieldCaptionFONT">Play sounds for certain events?</TD>
    <TD class="FieldCaptionTD">
	<SELECT class="FieldCaptionFONT" name="play_sound">
		<OPTION value="1" <?if($fldplay_sound) echo "selected";?>>Yes</OPTION>
		<OPTION value="0" <?if(!$fldplay_sound) echo "selected";?>>No</OPTION>
	</SELECT>
	</TD>
</TR>
<tr>
	<td class="DataTD" align="center" colspan="2" align="left"><font class="FieldCaptionFONT">
  <input type="hidden" value="update" name="FormAction"/>
  <input class="child" type="submit" value="Submit" onclick="document.Form.FormAction.value = 'update';">
	  <input type="hidden" name="FormName" value="Form">
	</td>
</tr>

  </form>
</table>
<?

//-------------------------------
// Form Show end
//-------------------------------
}
//===============================
?>