<?php
/*********************************************************************************
 *       Filename: transcripts.php
 *********************************************************************************/

// UserList CustomIncludes Event begin
include ("common.php");
// UserList CustomIncludes Event end


session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "transcripts.php";
//===============================


//===============================
// UserList CustomSecurity Event begin
check_security();
// UserList CustomSecurity Event end
//===============================

//===============================
//Header including
//===============================
	$title = "netlivesupport.com :: transcript list";
	include("header.php");
//===============================
// Display page
//===============================
	 Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================
//********************************************************************************


//===============================
// Display Grid Form
//-------------------------------
function Form_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------  
  global $db;
  global $sFormErr;
  global $sFileName;
  global $styles;
//-------------------------------
	$fldsearch = get_param("search");
	if($fldsearch)
		$sWhere = " and text like " . tosql("%".$fldsearch."%","Text");
//-------------------------------
//-------------------------------
	$timezone = get_db_value("select timezone from seller where sellerID = " . tosql(get_session("UserID"),"Number"));
//-------------------------------
	$SQL = "select *,DATE_FORMAT(DATE_ADD(DATE_FORMAT(call_dt,'%Y-%m-%d %H:%m:%s'), INTERVAL '".$timezone."' HOUR),'%H:%m:%s (%d-%b-%Y)') as call_dt ". 
				"from buyer where sellerID =  " . tosql(get_session("UserID"),"Number") . $sWhere . 
				" order by dt DESC";
//-------------------------------
	$db->query($SQL);
	$next_record = $db->next_record();
//-------------------------------	
	if($fldsearch)
	{
	$num = $db->num_rows();
	?>
	<table align="center" cellpadding="5" cellspacing="0">
	<tr>
		<td colspan="2">
			<div class="liveseller" align="center">Search Result <font color="red" style="font-size:10px;">(find #: <?=$num?>)</font></div>
		</td>
	</tr>
	<?
	}
	if(!$next_record)
	{
		?>
	<tr>
		<td colspan="2">
			<font color="red" style="font-family:Verdana; font-size:12px;" align="center">No chat session to show.</font>
		</td>
	</tr>
	</table>
		<?
	return;
	}
	?>

	<?
//-------------------------------
	while($next_record)
	{
?>
	<table align="center" cellpadding="5" cellspacing="0">
	<tr>
		<td colspan="2">
			<div class="liveseller" align="center">Visitor Info</font></div>
		</td>
	</tr>
<?
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldtext = $db->f("text");
    $fldip = $db->f("ip");
    $fldport = $db->f("port");
    $fldagent = $db->f("agent");
    $fldreferer = $db->f("referer");
    $fldhost = $db->f("host");

    $fldcall_dt = $db->f("call_dt");
	//$fldcall_dt = date ("G:i:s", mktime (date("G")+$fldhours,date("i"),date("s"),date("m") ,date("d"),date("Y")));

    $fldis_accepted = $db->f("is_accepted");
	if($fldis_accepted)
		$fldis_accepted = "yes";
	else
		$fldis_accepted = "no";
//-------------------------------
		$fldtext = Cite($fldtext,150," ");
			
		$fldtext = add_br($fldtext);
		$fldtext = $fldtext."<br/>";
				
		$fldtext = trim_all($fldtext);
// Process the HTML controls
//-------------------------------
?>
	<tr>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>Visitor Agent:</td>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>&nbsp;<?=$fldagent;?></td>
	</tr>
	<tr>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>Visitor IP Address:</td>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>&nbsp;<?=$fldip;?></td>
	</tr>
	<tr>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>Visitor Refer URL:</td>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>&nbsp;<?=$fldreferer;?></td>
	</tr>
	<tr>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>Visitor Host/Port:</td>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>&nbsp;<?=$fldhost."/".$fldport;?></td>
	</tr>
	<tr>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>Click Time:</td>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>&nbsp;<?=$fldcall_dt;?></td>
	</tr>
	<tr>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>Was accepted?</td>
		<td class="FieldCaptionTD" align="center"><font class="FieldCaptionFONT"><b>&nbsp;<?=$fldis_accepted;?></td>
	</tr>
	<tr>
		<td colspan="2">
			<div class="liveseller" align="center">Chat Session</font></div>
		</td>
	</tr>
	<tr>
		<td colspan="2" class="DataTD" align="left">
			<font class="FieldCaptionFONT"><?=$fldtext?></td>
	</tr>
<?
//-------------------------------
// Form Show end
//-------------------------------

  ?>
      </font></td></tr>
    </table>
	<br/>
  <?

	$next_record = $db->next_record();
	}//while end

//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------
}
//===============================

?>