<?php
/*********************************************************************************
 *       Filename: visitors.php
 *********************************************************************************/

// UserList CustomIncludes Event begin
include ("common.php");
// UserList CustomIncludes Event end


session_start();

//===============================
// Save Page and File Name available into variables
//-------------------------------
$sFileName = "visitors.php";
//===============================


//===============================
// UserList CustomSecurity Event begin
check_security();
// UserList CustomSecurity Event end
//===============================

//===============================
// Display page
//===============================
//Header including
//===============================
	$title = $sitename . " :: Site Visitors List";
	include("header.php");
//===============================
// Display page
//===============================
	Form_show();
//===============================
//Footer including
//===============================
	include("footer.php");
//===============================

//===============================
// Display Grid Form
//-------------------------------
function Form_show()
{
//-------------------------------
// Initialize variables  
//-------------------------------  
  global $db;
  global $sFormErr;
  global $sFileName;
  global $styles;

//-------------------------------
	$timezone = get_db_value("select timezone from seller where sellerID = " . tosql(get_session("UserID"),"Number"));
	$fldsellerID = get_session("UserID");
//-------------------------------
	$fldsearch = get_param("search");
	if($fldsearch)
		$sWhere = " and text like " . tosql("%".$fldsearch."%","Text");
//-------------------------------	

	$SQL = "select ip,port,agent,referer,host,".
		"DATE_FORMAT(DATE_ADD(DATE_FORMAT(call_dt,'%Y-%m-%d %H:%i:%s'), INTERVAL '".$timezone."' HOUR),'%H:%i:%s (%d-%b-%Y)') as call_dt, ".
		"is_accepted, call_dt as param_dt,buyerID_old from buyer ".
		"where sellerID = ".tosql($fldsellerID,"Number") . $sWhere . " order by param_dt DESC";
	$db->query($SQL);
	$next_record = $db->next_record();
	

	
?>
	<table align="center" cellpadding="5" cellspacing="0">
	<tr>
		<td colspan="5">
			<div class="liveseller" align="center">Visitors List</div>
		</td>
	</tr>
<?
	if(!$next_record)
	{
	?>
	<tr>
		<td class="FieldCaptionTD" align="center" colspan="5">
			<font class="DataFONT">No visitors to show
			</font>
		</td>
	</tr>
	</table>
	<?	
		return;
	}	
?>
	<tr>
		<td class="FieldCaptionTD" align="center">
			<font class="FieldCaptionFONT"><b>Num
			</font>
		</td>
		<td class="FieldCaptionTD" align="center">
			<font class="FieldCaptionFONT"><b>ID
			</font>
		</td>
		<td class="FieldCaptionTD" align="center">
			<font class="FieldCaptionFONT"><b>Refer URL
			</font>
		</td>
		<td class="FieldCaptionTD" align="center">
			<font class="FieldCaptionFONT"><b>IP
			</font>
		</td>
		<td class="FieldCaptionTD" align="center">
			<font class="FieldCaptionFONT"><b>Visit at
			</font>
		</td>
	</tr>
<?

//-------------------------------
// Process the HTML controls
//-------------------------------
	$i = 0;
while ($next_record)
{
	$i++;
//-------------------------------
// Create field variables based on database fields
//-------------------------------
    $fldip = $db->f("ip");
	$fldbuyerID = $db->f("buyerID_old");
    $fldreferer = $db->f("referer");
	$fldparam_dt = $db->f("param_dt");

    $fldport = $db->f("port");
    $fldagent = $db->f("agent");

    $fldhost = $db->f("host");

    $fldcall_dt = $db->f("call_dt");
	//$fldcall_dt = date ("G:i:s", mktime (date("G")+$fldhours,date("i"),date("s"),date("m") ,date("d"),date("Y")));

    $fldis_accepted = $db->f("is_accepted");
	if($fldis_accepted)
		$fldis_accepted = "yes";
	else
		$fldis_accepted = "no";
?>

	<tr>
		<td class="DataTD" align="center">
			<font class="DataFONT">
				<b>&nbsp;<?=$i;?></b>
			</font>
		</td>
		<td class="DataTD" align="center">
			<font class="DataFONT">&nbsp;
				<a title="View chat session for this visitor" href="transcripts.php?buyerID=<?=$fldbuyerID;?>&call_dt=<?=$fldparam_dt;?>"><?=$fldbuyerID;?></a>
			</font>
		</td>
		<td class="DataTD" align="center">
			<font class="DataFONT">
				&nbsp;<?=$fldreferer;?>
			</font>
		</td>
		<td class="DataTD" align="center">
			<font class="DataFONT">
				&nbsp;<?=$fldip;?>
			</font>
		</td>
		<td class="DataTD" align="center">
			<font class="DataFONT">
				&nbsp;<?=$fldcall_dt;?>
			</font>
		</td>


	</tr>
	
	
<?
	$next_record = $db->next_record();
}//while end

//-------------------------------
// Form Show end
//-------------------------------

  ?>
      </font></td></tr>
    </table>
  <?


//-------------------------------
// Form Close Event begin
// Form Close Event end
//-------------------------------
}
//===============================

?>